[!]================================================================================
	ProcessPortal.inc
	
	Description:
	Used to perform a "TCPConnect" to build_host.tpl to create a new portal
================================================================================[/!]

[!]WebDNA Admin account used for the TCPConnect[/!]

[text multi=t][search db=../admin/prefs.db&nePREFdata=0][founditems][pref]=[url][value][/url]&[/founditems][/search][/text]
[text]currpath=[Middle endbefore=ISP_Host_Store/][thisurl][/Middle][/text]
[ListMimeHeaders name=HOST&exact=F][text]currhost=[value][/text][/ListMimeHeaders]
[if ("[porlocation]"="")][then]
[text]portalhost=[currhost][/text]
[text]portalpath=[currpath]StoreBuilder/[/text]
[/then]
[else]
[text]portalhost=[Middle startafter=//][porlocation][/Middle][/text]
[text]portalhost=[ListWords words=[portalhost]&delimiters=/][Showif [index]=1][word][/Showif][/ListWords][/text]
[text]portalpath=[Middle startafter=[portalhost]][porlocation][/Middle][/text]
[/else]
[/if]

[!]--------------------------------------------------------------------------------
	Function CheckPortalName
--------------------------------------------------------------------------------[/!]
[function name=CheckPortalName]
	[text]msg=[/text]
	[text]EverythingOK=F[/text]
		[text]post_data=[!]
		[/!]do=check_name[!]
		[/!]&__hostname=[portalname][!]
		[/!][/text]
	
		[text]response=[tcpconnect host=[portalhost]]
		[tcpsend]POST [portalpath]build_host.tpl HTTP/1.0[unurl]%0D%0A[/unurl][!]
		[/!]Authorization: Basic [Encrypt method=base64][admin_user]:[admin_pass][/Encrypt][UnURL]%0D%0A[/UnURL][!]
		[/!]HOST: [portalhost][unurl]%0D%0A[/unurl][!]
		[/!]Content-type: application/x-www-form-urlencoded[unurl]%0D%0A[/unurl][!]
		[/!]Content-length: [countchars][post_data][/countchars][UnURL]%0D%0A%0D%0A[/UnURL][post_data][/tcpsend]
		[/tcpconnect]
		[/text]
		[text]result=[middle startafter=ISP_HOST_RESPONSE_BEGIN>&endbefore=<ISP_HOST_RESPONSE_END][response][/middle][/text]
		[return][result][/return]
		
[/function]
[!]--------------------------------------------------------------------------------
	Create New Portal
--------------------------------------------------------------------------------[/!]
		[lineitems]
			[Showif [Lookup db=../admin/products.db&value=[sku]&lookinfield=sku&returnfield=isportal&notfound=F]=T]
			[!]--------------------------------------------------------------------------------
				Check for valid portal name using the following sequence for availability
				
				1) Use ShipToCompany Name (AlphaNumeric Only)
				2) If ShipToCompany Name is taken then apply a numeric suffix until successful
				3) If ShipToCompany Name is "Blank", then use ShipToName ShipToLastName (AlphaNumeric Only)
				4) If ShipToName ShipToLastName is taken then apply a numeric suffix until successful
			--------------------------------------------------------------------------------[/!]
			[text]portalname=[Grep search=[^a-zA-Z0-9]&replace=][shiptocompany][/Grep][/text]
			[Showif [portalname]=]
				[text]portalname=[Grep search=[^a-zA-Z0-9]&replace=][shiptoname][shiptolastname][/Grep][/text]
			[/showif]
			[if ("[CheckPortalName portalname=[portalname]]"="OK")]
			[then]
				[text]newportalname=[portalname][/text]
			[/then]
			[else]
				[Loop start=1&end=20]
				newportalname[index]=[newportalname]<br>
					[text]newportalname=[portalname][index][/text]
					[Showif [CheckPortalName portalname=[portalname][index]]=OK]
						[break]
					[/Showif]
				[/Loop]
			[/else]
			[/if]
			[SetHeader file=[ordersFolder][filename]]header39=[newportalname][/SetHeader]
			[!]--------------------------------------------------------------------------------
				Build New Portal
			--------------------------------------------------------------------------------[/!]
			[text]post_data=[!]
			[/!]do=build[!]
			[/!]&__hostname=[newportalname][!]
			[/!]&__plan=[Middle startafter=: ][textY][/Middle][!]
			[/!]&__order=[cart][!]
			[/!]&__email=[email][!]
			[/!]&__name=[name][!]
			[/!]&__phone1=[phone][!]
			[/!]&__address1=[address1][!]
			[/!]&__address2=[address2][!]
			[/!]&__city=[city][!]
			[/!]&__state=[state][!]
			[/!]&__zip=[zip][!]
			[/!]&__country=[country][!]
			[/!]&__domain=[portalhost][portalpath][!]
			[/!][/text]
			
			[text]response=[tcpconnect host=[portalhost]]
			[tcpsend]POST [portalpath]build_host.tpl HTTP/1.0[unurl]%0D%0A[/unurl][!]
			[/!]Authorization: Basic [Encrypt method=base64][admin_user]:[admin_pass][/Encrypt][UnURL]%0D%0A[/UnURL][!]
			[/!]HOST: [portalhost][unurl]%0D%0A[/unurl][!]
			[/!]Content-type: application/x-www-form-urlencoded[unurl]%0D%0A[/unurl][!]
			[/!]Content-length: [countchars][post_data][/countchars][UnURL]%0D%0A%0D%0A[/UnURL][post_data][/tcpsend]
			[/tcpconnect]
			[/text]
			[text]result=[middle startafter=ISP_HOST_RESPONSE_BEGIN>&endbefore=<ISP_HOST_RESPONSE_END][response][/middle][/text]
			[If ("[result]"="OK")]
			[then]
				[text]EverythingOK=T[/text]
			[/then]
			[else]
				[text]msg=[result][/text]
			[/else]
			[/if]
			
			[/Showif]
		[/lineitems]
