<!--HAS_WEBDNA_TAGS-->
[FORMVARIABLES]
[name]=[value]<BR>
[/FORMVARIABLES]
<hr>

<HTML>
<HEAD>
<TITLE></TITLE>
</HEAD>

<BODY>


<P>
<FONT face="Courier New, Courier, mono">

[!]---------------------------------------------------------------------[/!]
[!]  Check if the setup is done right first.                            [/!]
[!]---------------------------------------------------------------------[/!]
[Text show=f]IsSetupOK=T[/Text]
[Search db=setup.db&eqIDdata=1]
[Showif [numFound]!1]
[Text show=f]IsSetupOK=F[/Text]
[/Showif]
[Showif [numFound]=1]
	[Founditems]

	[text show=f]db=[user][/text]	
	[text show=f]host=[host][/text]	
	[text show=f]user=[user][/text]	
	[text show=f]thePass=[thePass][/text]	
	[text show=f]DeleteAfter=[DeleteAfter][/text]	
	[text show=f]SSL=[SSL][/text]	
	
	[/Founditems]
[/Showif]
[/Search]


[Showif IsSetupOK=F]
Preference is not setup properly.<br>
[/Showif]


[!]---------------------------------------------------------------------[/!]
[!]  10. If Setup is ok, then Rock'n Roll                               [/!]
[!]---------------------------------------------------------------------[/!]
[Showif [IsSetupOK]=T]

[text]port=110[/text]
[showif [SSL]=T]
[text]port=995[/text]
[/showif]

[text]maxSize=10000[/text]
[math show=f]numEmails=0[/math]



<H4>Connecting...</H4>

Connecting host=[host] port=[port]<BR>

[tcpconnect host=[host]&port=[port]&SSL=[SSL]]
[text show=f]POP3_response=[tcpsend end=%0D%0A][/tcpsend][/text]

<BR>POP3_Response={[POP3_response]}<BR>


[!]---------------------------------------------------------------------[/!]
[!]  20. Proceed if server responded to POP3 connection request         [/!]
[!]---------------------------------------------------------------------[/!]
[showif [url][POP3_response][/url]!]
[text show=f]timestamp=<[middle startafter=<&endbefore=>][POP3_response][/middle]>[/text]

<H4>APOP...</H4>

[!] lets be optimistic [/!]
[text]Authorization=PASSED[/text]

[text show=f]APOP_response=[tcpsend end=%0D%0A]APOP [user] [encrypt method=APOP][timestamp][thePass][/encrypt][UnURL]%0D%0A[/UnURL][/tcpsend][/text]
APOP_response={[APOP_response]}<BR>


[showif [GetChars start=2&end=3][APOP_response][/GetChars]!OK]

	[!] Mailserver might not be APOP capable, try normal USER/PASS combinaton[/!]
	<H4>USER...</H4>
	
	[text show=f]USER_response=[tcpsend end=%0D%0A]USER [USER][UnURL]%0D%0A[/UnURL][/tcpsend][/text]
	USER_response={[USER_response]}<BR>
	
	[showif [GetChars start=2&end=3][USER_response][/GetChars]!OK]
		[text]Authorization=FAILED[/text]
	[/showif]
	
	[showif [GetChars start=2&end=3][USER_response][/GetChars]=OK]
		
		<H4>PASS...</H4>
		
		[text show=f]PASS_response=[tcpsend end=%0D%0A]PASS [thePass][UnURL]%0D%0A[/UnURL][/tcpsend][/text]
		PASS_response={[PASS_response]}<BR>
		
		[showif [GetChars start=2&end=3][PASS_response][/GetChars]!OK]
			[text]Authorization=FAILED[/text]
		[/showif]
		
	[/showif]
	

[/showif]

[showif [Authorization]=FAILED]
<B>Either user name or password is wrong!</B>
[/showif]

[!]---------------------------------------------------------------------[/!]
[!]  30. Proceed if server responded OK to APOP request                 [/!]
[!]---------------------------------------------------------------------[/!]
[showif [Authorization]=PASSED]

<H4>LIST...</H4>

[text show=f]LIST_response=[tcpsend end=%0D%0A.%0D%0A]LIST[UnURL]%0D%0A[/UnURL][/tcpsend][/text]
LIST_response={[LIST_response]}<BR>

[text show=f]result=[middle startafter=%0D%0A&endbefore=.][LIST_response][/middle][/text]
[listwords words=[result]&delimiters= %0D%0A]
[showif [math][index]%2[/math]=1][text]curIndex=[word][/text][/showif]
[showif [math][index]%2[/math]=0][text]size[curIndex]=[word][/text][/showif]
[/listwords]


<H4>UIDL...</H4>
[text show=t]result=[tcpsend end=%0D%0A.%0D%0A]UIDL[UnURL]%0D%0A[/UnURL][/tcpsend][/text]
[text show=f]result=[middle startafter=%0D%0A&endbefore=.][result][/middle][/text]
[math show=f]numEmails=0[/math]
<BR>
[listwords words=[result]&delimiters= %0D%0A]
	[showif [math][index]%2[/math]=1]
		[text]curIndex=[word][/text]
	[/showif]
	
	[showif [math][index]%2[/math]=0]
		[hideif [interpret][size[curIndex]][/interpret]>[maxSize]]
			[math show=f]numEmails=[numEmails]+1[/math]

			[!]---------------------------------------------------------------------[/!]
			[!]  Retrieve Mail                                                      [/!]
			[!]---------------------------------------------------------------------[/!]
			<B>RETR [curIndex]...</B><BR>

			[text show=f]result=[tcpsend end=%0D%0A.%0D%0A]RETR [curIndex][UnURL]%0D%0A[/UnURL][/tcpsend][/text]

			[text]numChar=[countchars][middle startafter=%0D%0A&endbefore=%0D%0A.%0D%0A][result][/middle][/countchars][/text]
			[text show=f]body=[middle startafter=%0D%0A%0D%0A&endbefore=%0D%0A.%0D%0A][result][/middle][/text]
			[text show=f]header=[getchars start=1&end=[math][numChar]-[countchars][body][/countchars][/math]][middle startafter=%0D%0A&endbefore=%0D%0A.%0D%0A][result][/middle][/getchars][/text]
			[text]from=[include file=getline.inc&find=From:&data=[url][header][/url]][/text]
			[text]to=[include file=getline.inc&find=To:&data=[url][header][/url]][/text]
			[text]cc=[include file=getline.inc&find=Cc:&data=[url][header][/url]][/text]
			[text]replyTo=[include file=getline.inc&find=Reply-To:&data=[url][header][/url]][/text]
			[text]theDate=[include file=getline.inc&find=Date:&data=[url][header][/url]][/text]
			[text]subject=[include file=getline.inc&find=Subject:&data=[url][header][/url]][/text]

			[search db=[db].db&eqUSERdatarq=[url][user][/url]&eqPASSdatarq=[url][encrypt][thePass][/encrypt][/url]&eqSERVERdatarq=[url][host][/url]&eqUIDdatarq=[url][word][/url]]
				[showif [numfound]=0][math show=f]theID=[search db=[db].db&neIDdatarq=find_all&IDtype=num&deIDsort=1&max=1]0[founditems]+[id][/founditems]+1[/search][/math][/showif]
				[showif [numfound]>0][math show=f]theID=[founditems][id][/founditems][/math][/showif]
			[/search]
			[replace db=[db].db&eqUSERdatarq=[url][user][/url]&eqPASSdatarq=[url][encrypt][thePass][/encrypt][/url]&eqSERVERdatarq=[url][host][/url]&eqUIDdatarq=[url][word][/url]&append=T]ID=[theID]&UID=[url][word][/url]&user=[url][user][/url]&pass=[url][encrypt][thePass][/encrypt][/url]&server=[url][host][/url]&retrieved=[date %Y%m%d][time %H%M%S].[curIndex]&header=[url][header][/url]&from=[url][from][/url]&to=[url][to][/url]&cc=[url][cc][/url]&replyto=[url][replyto][/url]&thedate=[url][theDate][/url]&subject=[url][subject][/url]&body=[url][body][/url][/replace]
			[commitdatabase db=[db].db]
			[showif [DeleteAfter]=Yes]
				DELE [curIndex]
				[tcpsend end=%0D%0A]DELE [curIndex][UnURL]%0D%0A[/UnURL][/tcpsend]
			[/showif]

		[/hideif]
	[/showif]
[/listwords]


[/showif]
[!]---------------------------------------------------------------------[/!]
[!]  30.                                                                [/!]
[!]---------------------------------------------------------------------[/!]


<H4>QUIT...</H4>
[tcpsend end=%0D%0A]QUIT[unurl]%0D%0A[/unurl][/tcpsend]

<h2>[numEmails] Message(s) Retrieved</h2><br>

[/showif]
[!]---------------------------------------------------------------------[/!]
[!]  20.                                                                [/!]
[!]---------------------------------------------------------------------[/!]

[showif [url][POP3_response][/url]=]
No Response from the POP3 server.
[/showif]

[/tcpconnect]


[/Showif]
[!]---------------------------------------------------------------------[/!]
[!]  10.                                                                [/!]
[!]---------------------------------------------------------------------[/!]

<form Action=default.tpl method=post>
<input TYPE="submit" name="submit" value="Continue">
</form>

</FONT>
</P>

</BODY>
</HTML>
