<font face="[TEXT_FONT]">

[!] Check for required fields [/!]
[showif =[__shiptoname]][text]failed=T[/text]<B>NAME:</B><BR>[/showif]
[showif =[__shiptoaddress1]][text]failed=T[/text]<B>ADDRESS:</B><BR>[/showif]
[showif =[__shiptocity]][text]failed=T[/text]<B>CITY:</B><BR>[/showif]
[showif =[__shiptozip]][showif [lookup db=admin/country.db&lookinfield=CNTY_ABRV&value=[__shiptocountry]&returnfield=POSTAL_CODE&notfound=]=T][text]failed=T[/text]<B>ZIP/Postal Code:</B><BR>[/showif][/showif]
[showif NA=[__shiptostate]][showif US,CA^[__shiptocountry]][text]failed=T[/text]<B>STATE/PROVINCE:</B><BR>[/showif][/showif]
[showif =[__shipVia]][text]failed=T[/text]<B>SHIPPING:</B><BR>[/showif]

[showif [failed]=T]
<BR><BR>Please go back and fill in the required fields shown above.<BR><BR>
[/showif]
[hideif [failed]=T]

[!][formvariables][name]=[value]<BR>[/formvariables][/!]


[!]Calc total weight[/!]
[orderfile cart=[cart]]
[math show=f]total_wt=0[/math]
[math show=f]pkg_wt=0[/math]
[math show=f]Declared=0[/math]
[text]pkg_index=1[/text]
[text]pkg_wt_1=0[/text]

[lineitems]
[showif [lookup db=admin/products.db&lookinfield=sku&value=[sku]&returnfield=canship&notfound=]=T]
[math show=f]Declared=Declared+([quantity]*[lookup db=admin/products.db&lookinfield=SKU&value=[url][sku][/url]&returnfield=PRICE&notfound=0])[/math]
[math show=f]total_wt=total_wt+([quantity]*[lookup db=admin/products.db&lookinfield=SKU&value=[url][sku][/url]&returnfield=WEIGHT&notfound=0])[/math]

[!]
    Need to break up the order into packages that do not exceed
    the UPS 150lb weight limit.  This does NOT optimize package count.
    
    NOTE:  If a single item's weight is greater than 150lbs, UPS shipping
           options will not be used.
[/!]

[math show=f]item_wt=[lookup db=admin/products.db&lookinfield=SKU&value=[url][sku][/url]&returnfield=WEIGHT&notfound=0][/math]
[showif [item_wt]>150][text]Use_UPS=F[/text][/showif]
[hideif [item_wt]>150]

[loop start=1&end=[quantity]]
[text]pkg_found=F[/text]
[loop start=1&end=[pkg_index]]
[hideif [math]temp_wt=[interpret][pkg_wt_[index]][/interpret]+item_wt[/math]>150]
[text]pkg_wt_[pkg_index]=[temp_wt][/text]
[text]pkg_found=T[/text]
[break]
[/hideif]
[/loop]
[showif [pkg_found]=F]
[!] new package [/!]
[text]pkg_index=[math][pkg_index]+1[/math][/text]
[text]pkg_wt_[pkg_index]=[item_wt][/text]
[/showif]
[/loop]

[/hideif]
[/showif]
[/lineitems]
[/orderfile]


[!]
[loop start=1&end=[pkg_index]]
Package [index] = [interpret][pkg_wt_[index]][/interpret]<br>
[/loop]
<br><br>
[/!]

[hideif [Use_UPS]=F]
[text]content=<?xml version="1.0"?>
<AccessRequest xml:lang="en-US">
<AccessLicenseNumber>[lookup db=admin/ups_xml.db&lookinfield=SHR_ID&value=UPSXML&returnfield=RATE_LICENSE&notfound=]</AccessLicenseNumber>
<UserId>[lookup db=admin/ups_xml.db&lookinfield=SHR_ID&value=UPSXML&returnfield=UPS_USERID&notfound=]</UserId>
<Password>[lookup db=admin/ups_xml.db&lookinfield=SHR_ID&value=UPSXML&returnfield=UPS_PASSWORD&notfound=]</Password>
</AccessRequest>
<?xml version="1.0"?>
<RatingServiceSelectionRequest xml:lang="en-US">
<Request>
<TransactionReference>
<CustomerContext>Rating and Service</CustomerContext>
<XpciVersion>1.0001</XpciVersion>
</TransactionReference>
<RequestAction>Rate</RequestAction>
<RequestOption>shop</RequestOption>
</Request>
<PickupType>
<Code>[lookup db=admin/ups_xml.db&lookinfield=SHR_ID&value=UPSXML&returnfield=SHR_PICKUP_TYPE&notfound=]</Code>
</PickupType>
<Shipment>
<Shipper>
<Address>
<PostalCode>[lookup db=admin/ups_xml.db&lookinfield=SHR_ID&value=UPSXML&returnfield=SHR_ZIP&notfound=]</PostalCode>
<CountryCode>[lookup db=admin/ups_xml.db&lookinfield=SHR_ID&value=UPSXML&returnfield=SHR_COUNTRY&notfound=]</CountryCode>
</Address>
</Shipper>
<ShipTo>
<Address>
<City>[__shiptocity]</City>
<PostalCode>[__shiptozip]</PostalCode>
<CountryCode>[__shiptocountry]</CountryCode>
[showif [DEST_TYPE]=Residential]<ResidentialAddress/>[/showif]
</Address>
</ShipTo>
[loop start=1&end=[pkg_index]]
<Package>
<PackagingType>
<Code>[text show=T]package_type=[lookup db=admin/ups_xml.db&lookinfield=SHR_ID&value=UPSXML&returnfield=SHR_PACKAGE_TYPE&notfound=][/text]</Code>
<Description>[lookup db=admin/ups_package_type.db&lookinfield=CODE&value=[package_type]&returnfield=DESC&notfound=]</Description>
</PackagingType>
<Description>Rate Shopping</Description>
<PackageWeight>
<UnitOfMeasurement>
<Code>[lookup db=admin/ups_xml.db&lookinfield=SHR_ID&value=UPSXML&returnfield=SHR_UNIT_MEASURE&notfound=]</Code>
</UnitOfMeasurement>
<Weight>[interpret][pkg_wt_[index]][/interpret]</Weight>
</PackageWeight>[!]
[/!][text]UseDimensions=T[/text][!]
[/!][showif [lookup db=admin/ups_xml.db&lookinfield=SHR_ID&value=UPSXML&returnfield=SHR_PACKAGE_TYPE&notfound=]!02][text]UseDimensions=F[/text][/showif][!]
[/!][showif [lookup db=admin/ups_xml.db&lookinfield=SHR_ID&value=UPSXML&returnfield=SHR_PACKAGE_LENGTH&notfound=]=][text]UseDimensions=F[/text][/showif][!]
[/!][showif [lookup db=admin/ups_xml.db&lookinfield=SHR_ID&value=UPSXML&returnfield=SHR_PACKAGE_WIDTH&notfound=]=][text]UseDimensions=F[/text][/showif][!]
[/!][showif [lookup db=admin/ups_xml.db&lookinfield=SHR_ID&value=UPSXML&returnfield=SHR_PACKAGE_HEIGHT&notfound=]=][text]UseDimensions=F[/text][/showif][!]
[/!][showif [UseDimensions]=_disabled_] [!] not going to use dimensions for now [/!]
<Dimensions>
<UnitOfMeasurement>
<Code>[lookup db=admin/ups_xml.db&lookinfield=SHR_ID&value=UPSXML&returnfield=SHR_UNIT_MEASURE_SIZE&notfound=IN]</Code>
</UnitOfMeasurement>
<Length>[lookup db=admin/ups_xml.db&lookinfield=SHR_ID&value=UPSXML&returnfield=SHR_PACKAGE_LENGTH&notfound=]</Length>
<Width>[lookup db=admin/ups_xml.db&lookinfield=SHR_ID&value=UPSXML&returnfield=SHR_PACKAGE_WIDTH&notfound=]</Width>
<Height>[lookup db=admin/ups_xml.db&lookinfield=SHR_ID&value=UPSXML&returnfield=SHR_PACKAGE_HEIGHT&notfound=]</Height>
</Dimensions>[/showif]
<PackageServiceOptions>
[text]UseDeclaredValue=F[/Text]
[showif [lookup db=admin/ups_xml.db&lookinfield=SHR_ID&value=UPSXML&returnfield=SHR_DECLARED_VALUE&notfound=]>0][text]UseDeclaredValue=T[/text][/showif]
[showif [lookup db=admin/ups_xml.db&lookinfield=SHR_ID&value=UPSXML&returnfield=SHR_DECLARED_VALUE_INVOICE&notfound=]=T][text]UseDeclaredValue=T[/text][/showif]
[showif [UseDeclaredValue]=_disabled_] [!] Not going to use declared value for now [/!]
<InsuredValue>
<CurrencyCode>USD</CurrencyCode>
<MonetaryValue>
[showif [lookup db=admin/ups_xml.db&lookinfield=SHR_ID&value=UPSXML&returnfield=SHR_DECLARED_VALUE_INVOICE&notfound=]=T][Declared][/showif]
[hideif [lookup db=admin/ups_xml.db&lookinfield=SHR_ID&value=UPSXML&returnfield=SHR_DECLARED_VALUE_INVOICE&notfound=]=T]
[lookup db=admin/ups_xml.db&lookinfield=SHR_ID&value=UPSXML&returnfield=SHR_DECLARED_VALUE&notfound=]
[/hideif]
</MonetaryValue>
</InsuredValue>
[/showif]
</PackageServiceOptions>
</Package>
[/loop]
<ShipmentServiceOptions>
[showif [SAT_DELIVERY]=on]<SaturdayDelivery/>[/showif]
[showif [lookup db=admin/ups_xml.db&lookinfield=SHR_ID&value=UPSXML&returnfield=SHR_SATURDAY_PICKUP&notfound=]=T]<SaturdayPickup/>[/showif]
</ShipmentServiceOptions>
<ShipmentWeight>
<UnitOfMeasurement>
<Code>[lookup db=admin/ups_xml.db&lookinfield=SHR_ID&value=UPSXML&returnfield=SHR_UNIT_MEASURE&notfound=]</Code>
</UnitOfMeasurement>
<Weight>[total_wt]</Weight>
</ShipmentWeight>
</Shipment>
</RatingServiceSelectionRequest>[/text]

[!][writefile file=xml_request.txt][content][/writefile][/!]

[text]xml_result=[middle startafter=<?xml version="1.0"?>&endbefore=]
[tcpconnect host=www[!]cie[/!].ups.com&port=443&ssl=T]
[tcpsend]POST /ups.app/xml/Rate HTTP/1.0[UnURL]%0D%0A[/UnURL][!]
[/!]USER-AGENT: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)[UnURL]%0D%0A[/UnURL][!]
[/!]Content-type: application/x-www-form-urlencoded[UnURL]%0D%0A[/UnURL][!]
[/!]Content-length: [CountChars][content][/CountChars][UnURL]%0D%0A[/UnURL][!]
[/!][UnURL]%0D%0A[/UnURL][!]
[/!][content][UnURL]%0D%0A[/UnURL][!]
[/!][/TCPSend]
[/tcpconnect][/middle][/text]

[!][writefile file=xml_responce.txt][xml_result][/writefile][/!]


<table border=1>
<tr><td align=center height=80><table border=0><tr><td width=80 align=center><img src=ups_logo.gif></td><td> [showif [lookup db=admin/ups_xml.db&lookinfield=SHR_ID&value=UPSXML&returnfield=SHR_MARKUP&notfound=0]>0]These fees do not necessarily represent UPS published rates and may include handling charges levied by '[lookup db=admin/prefs.db&lookinfield=pref&value=NAME&returnfield=value&notfound=]'.[/showif]</td></tr></table></td></tr><tr><td><small>

[include file=admin/parse_tag.inc&path=admin/&parse_into=ResponceCode&parse_item=ResponseStatusCode&parse_text=[xml_result]]

[showif [ResponceCode_1]=[raw][ResponceCode_1][/raw]]
There was a problem communicating with the UPS Rate tool.
[/showif]

[hideif [ResponceCode_1]=[raw][ResponceCode_1][/raw]]
[hideif [ResponceCode_1]=1]
UPS Rate tool responded with an error<BR>
Response Code : [ResponceCode_1]<BR>
[include file=admin/parse_tag.inc&path=admin/&parse_into=Responce&parse_item=ResponseStatusDescription&parse_text=[xml_result]]
Response Description : [Responce_1]<BR>
[include file=admin/parse_tag.inc&path=admin/&parse_into=Responce&parse_item=ErrorCode&parse_text=[xml_result]]
Error Code : [Responce_1]<BR>
[include file=admin/parse_tag.inc&path=admin/&parse_into=Responce&parse_item=ErrorDescription&parse_text=[xml_result]]
Error Description : [Responce_1]<BR>
[/hideif] 
[/hideif]

[showif [ResponceCode_1]=1]
[include file=admin/parse_tag.inc&path=admin/&parse_into=RatedShipment&parse_item=RatedShipment&parse_text=[xml_result]]
<form method=post action=default.tpl>
[!]invoice.tpl  pagid=9[/!]
<input type="hidden" name="pageid" value="9">
[loop start=1&end=[RatedShipment_numfound]]

[!] strip off the individual <RatedPackage> sections [/!]
[include file=admin/parse_tag.inc&path=admin/&parse_into=RatedPackage&parse_item=RatedPackage&parse_text=[interpret][RatedShipment_[index]][/interpret]]
[text]temp=[middle startafter=&endbefore=<RatedPackage>][interpret][RatedShipment_[index]][/interpret][/middle][/text]
[loop start=1&end=[math][RatedPackage_numfound]-1[/math]]
[text]temp=[middle startafter=&endbefore=<RatedPackage>][temp][/middle][/text]
[/loop]

[include file=admin/parse_tag.inc&path=admin/&parse_into=Result&parse_item=Service&parse_text=[temp]]
[include file=admin/parse_tag.inc&path=admin/&parse_into=ups_code&parse_item=Code&parse_text=[Result_1]]

[text]skip_option=F[/text]
[showif [lookup db=admin/ups_xml.db&lookinfield=SHR_TYPE&value=[ups_code_1]&returnfield=SHR_ACTIVE&notfound=N]=N]
[text]skip_option=T[/text]
[/showif]

[showif [skip_option]=F]
[showif [ups_code_numfound]>0]
[text]option_displayed=T[/text]
<input type=radio name=__ShipVia value="UPSXML_[ups_code_1]_[lookup db=admin/ups_xml.db&lookinfield=SHR_TYPE&value=[ups_code_1]&returnfield=SHR_NAME&notfound=]  [showif [SAT_DELIVERY]=on] *SATURDAY DELIVERY*[/showif]  *[DEST_TYPE]*" [showif [index]=1]CHECKED[/showif]>
<b>[lookup db=admin/ups_xml.db&lookinfield=SHR_TYPE&value=[ups_code_1]&returnfield=SHR_NAME&notfound=[ups_code_1]]</b>
[/showif]<br>
[include file=admin/parse_tag.inc&path=admin/&parse_into=Result&parse_item=TotalCharges&parse_text=[temp]]
[showif [Result_numfound]>0]
[include file=admin/parse_tag.inc&path=admin/&parse_into=Result&parse_item=MonetaryValue&parse_text=[temp]]
[showif [Result_numfound]>0]
[text]ups_cost=[format .2f][math][Result_1]*(([lookup db=admin/ups_xml.db&lookinfield=SHR_ID&value=UPSXML&returnfield=SHR_MARKUP&notfound=0]/100)+1)[/math][/format][/text]
<input type=hidden name=[ups_code_1]ups_cost value=[ups_cost]>
Cost: $[ups_cost]<br>
[/showif]
[/showif]
[include file=admin/parse_tag.inc&path=admin/&parse_into=Result&parse_item=BillingWeight&parse_text=[temp]]
[showif [Result_numfound]>0]
[include file=admin/parse_tag.inc&path=admin/&parse_into=Result&parse_item=Weight&parse_text=[temp]]
[showif [Result_numfound]>0]Billing Weight: [Result_1]<br>[/showif]
[/showif]
[include file=admin/parse_tag.inc&path=admin/&parse_into=Result&parse_item=GuaranteedDaysToDelivery&parse_text=[temp]]
[showif [Result_numfound]>0]Guaranteed Days to Deliver: [Result_1]<br>[/showif]
[include file=admin/parse_tag.inc&path=admin/&parse_into=Result&parse_item=ScheduledDeliveryTime&parse_text=[temp]]
[showif [Result_numfound]>0]Scheduled Delivery Time: [Result_1][/showif]
<hr>
[/showif]
[/loop]
[/showif]
</small>
</td>
</tr>
[/hideif] [!] Use_UPS=F [/!]

[showif [Use_UPS]=F]
<table border=1>
<tr><td align=center height=80><table border=0><tr><td width=80 align=center><img src=ups_logo.gif></td><td>These fees do not necessarily represent UPS published rates and may include handling charges levied by '[lookup db=admin/prefs.db&lookinfield=pref&value=NAME&returnfield=value&notfound=]'.</td></tr></table></td></tr><tr><td><small>
<form method=post action=default.tpl>
[!]invoice.tpl  pagid=9[/!]
<input type="hidden" name="pageid" value="9">
<div align=center><b>One or more items exceed the UPS maximum package weight allowed.  If no other shipping options are listed below, you will be notified separately about shipping costs.</b>
</td>
</tr>
[/showif]



[search db=admin/shippers.db&neSHR_IDdatarq=[blank]]
[founditems]
<tr><td bgcolor=lightblue align=center><b>[SHR_NAME]</b></td></tr><tr><td><small>
<input type=radio name=__ShipVia value="[SHR_ID]">
Cost: 
[search db=admin/shipping.db&eqSH_TYPEdatarq=[SHR_ID]&SH_WEIGHTtype=num&asSH_WEIGHTsort=1&geSH_WEIGHTdatarq=[total_wt]&max=1[showif [lookup db=admin/shippers.db&lookinfield=SHR_ID&value=[SHR_ID]&returnfield=SHR_ZIP&notfound=F]=T]&SH_ZSTARTtype=[lookup db=admin/prefs.db&lookinfield=pref&value=ZIPS&returnfield=value]&leSH_ZSTARTdatarq=[url][__shiptozip][/url]&SH_ZENDtype=[lookup db=admin/prefs.db&lookinfield=pref&value=ZIPS&returnfield=value]&geSH_ZENDdatarq=[url][__shiptozip][/url][/showif]]
[showif [numfound]=0][hideif [shipVia]=NA]Shipping charges are unavailable. You will be notified separately about shipping costs.[/hideif][/showif]
[founditems][format .2f][math][SH_COST]*(([lookup db=admin/shippers.db&lookinfield=SHR_ID&value=[SHR_ID]&returnfield=SHR_MARKUP&notfound=0]/100)+1)[/math][/format][/founditems]<BR><BR>
[/search]
</small></td></tr>
[/founditems]
[/search]
</table>
[formvariables name=__&exact=f]
<input type=hidden name="[name]" value="[value]">
[/formvariables]
<input type=hidden name=sameasship value="[sameasship]">
<input type=hidden name=cart value=[cart]>

[showif [option_displayed]=T]
<input type=submit value=Continue>
[/showif]
[hideif [option_displayed]=T]
<br>
<b>No UPS shipping options are available for the destination address given.  This may be due to incorrect address data.  Please press 'back' and check your information.</b>
[/hideif]
</form>




[/hideif]  [!] [failed]=T [/!]

</font>
