<!--HAS_WEBDNA_TAGS-->
[include file=../header.inc&top=T&page_title=[DimSize_<index>] Tag]
<p>
The [raw][DimSize_<index>][/raw] tag is used to retrieve the size of a given array dimension.
<br>
Example:
[raw]
<xmp>
[ArraySet name=array_1&dim=3,4,5][/ArraySet]

[ArrayGet name=array_1]
array_1 has [NumDims] dimensions:<br>
[loop start=1&end=[NumDims]]
Dimension [index] has [interpret][DimSize_[index]][/interpret] indexes.<br>
[/loop]
[/ArrayGet]
</xmp>
[/raw]
Results:
<hr>
[ArraySet name=array_1&dim=3,4,5][/ArraySet]

[ArrayGet name=array_1]
array_1 has [NumDims] dimensions:<br>
[loop start=1&end=[NumDims]]
Dimension [index] has [interpret][DimSize_[index]][/interpret] indexes.<br>
[/loop]
[/ArrayGet]
<p>
And, again, you can access the dimension sizes using the global 'array name' tag, as follows:
[raw]
<xmp>
[ArraySet name=array_1&dim=3,4,5][/ArraySet]

array_1 has [array_1(NumDims)] dimensions:<br>
[loop start=1&end=[array_1(NumDims)]]
Dimension [index] has [interpret][array_1(DimSize_[index]])][/interpret] indexes.<br>
[/loop]
</xmp>
[/raw]
Results:
<hr>
[ArraySet name=array_1&dim=3,4,5][/ArraySet]

array_1 has [array_1(NumDims)] dimensions:<br>
[loop start=1&end=[array_1(NumDims)]]
Dimension [index] has [interpret][array_1(DimSize_[index])][/interpret] indexes.<br>
[/loop]
<p>
[include file=../header.inc&top=F&page_title=New Page 8]