<!--HAS_WEBDNA_TAGS-->
[include file=../header.inc&top=T&page_title=SQLResult - 'Field' tag]
[include file=javascript.inc&source=example5.inc]
<p>
You can also use the new <b>[raw][Field][/raw]</b> tag to retrieve data from a record set.
<p>
For example, click "Go" to execute the following:
<div id="div_exSQLResult_Source" style="visibility: visible;" width="100%">
	<table cellpadding="0" cellspacing="0" border="0" width="100%">
		<tr><td><iframe id="ifr_exSQLResult_Source" border="0" frameborder="0" width="100%" height="375" style="visibility: visible;" src="display_source.tpl?source=example5.inc"></iframe></td></tr>
		<tr><td>&nbsp;</td></tr>
		<tr><td align="right"><input type="button" value="Go" onClick="exSQLExecute();"></td></tr>
	</table>
</div>
<br>
<br>
<div id="div_exSQLExecute" style="visibility: hidden;" width="100%">
	<table cellpadding="0" cellspacing="0" border="0" width="100%">
		<tr><a name="result"></a><td>RESULT:</td></tr>
		<tr><td><iframe id="ifr_exSQLExecute" border="0" frameborder="0" width="100%" style="visibility: hidden;" src=""></iframe></td>
	</table>
</div><br>
<br>

<div id="div_SQLResultDoc" style="visibility: hidden;"">
As you can see from the example, the <b>[raw][field][/raw]</b> tag is used within 
<b>[raw][FoundItems][/raw]</b> to return information about a particular field of the
 current record.
<p>
The <b>seek</b> parameter (of <b>[raw][field][/raw]</b>) 
is <i>required</i> and uses a prefix-qualified naming semantic to select a specific 
field of the current record.  You can use one of two possible prefixes for the value 
of the <b>seek</b> parameter... either <b>named</b> or <b>ordinal</b>; follow this 
with a ":" and the actual value which identifies the field (according to the 
prefix-qualifier). 
<p>
For example:
<br><b><i>seek=ordinal:1</i></b>  - would select the first field
<br><b><i>seek=named:employeeID</i></b>  - would select the field named "employeeID"
<p>
The <b>get</b> parameter is <i>optional</i> and accepts one of seven possible enumerated values:
<br>
<b>NAME<br>
ORDINAL<br>
DATATYPE<br>
WIDTH<br>
ALLOWNULL<br>
ISNULL<br>
VALUE</b>
<p> 
If the <b>get</b> parameter is excluded, <b>[raw][Seek][/raw]</b> will assume that you 
want to retrieve the field's value (equivalent to setting <b>get</b> to VALUE); 
setting <b>get</b> to NAME will retrieve the field's name, ORDINAL will retrieve the 
literal index of the field, DATATYPE will retrieve the named SQL datatype of the 
field, WIDTH will retrieve the maximum length of the field allowed, ALLOWNULL returns 
whether or not the field will accept a null value as a possible entry/value, ISNULL 
will return T if the value of the selected field of the current record is null, and 
VALUE will simply return the value of the field (nothing/blank string will be returned
if the field value is null... if you need to check if it's null, use ISNULL)<br>
<p>
[include file=../header.inc&top=F&page_title=SQLResult]