<!--HAS_WEBDNA_TAGS-->
[include file=../header.inc&top=T&page_title=SQLResult - 'Field' tag, continued.]
[include file=javascript.inc&source=example6.inc]
<p>
When retrieving field data where the field data type is:

<b>DATE, TIME, or DATETIME</b>

, WebDNA will 'interpret' the data
based on the user defined WebDNA preferences for displaying Dates and Times.
<p>
However, if you wish to display the data in its 'raw' format, you can use the 'raw' 
parameter for the [raw][Field][/raw] tag, setting the parameter value to 'T'.
<p>
For example, click "Go" to execute the following:
<div id="div_exSQLResult_Source" style="visibility: visible;" width="100%">
	<table cellpadding="0" cellspacing="0" border="0" width="100%">
		<tr><td><iframe id="ifr_exSQLResult_Source" border="0" frameborder="0" width="100%" height="375" style="visibility: visible;" src="display_source.tpl?source=example6.inc"></iframe></td></tr>
		<tr><td>&nbsp;</td></tr>
		<tr><td align="right"><input type="button" value="Go" onClick="exSQLExecute();"></td></tr>
	</table>
</div>
<br>
<br>
<div id="div_exSQLExecute" style="visibility: hidden;" width="100%">
	<table cellpadding="0" cellspacing="0" border="0" width="100%">
		<tr><a name="result"></a><td>RESULT:</td></tr>
		<tr><td><iframe id="ifr_exSQLExecute" border="0" frameborder="0" width="100%" style="visibility: hidden;" src=""></iframe></td>
	</table>
</div><br>
<br>

<div id="div_SQLResultDoc" style="visibility: hidden;"">
In the example above we display the contents of the last record, in the record set, twice.
<p>
For the first record instance, we retrieve the 'dateAcquired' value in the usual way.  Note that the 
date should be displayed as per the WebDNA date display preference.
<p>
For the second record instance, we retrieve the 'dateAcquired' field data using the [raw][Field][/raw]
tag, setting the 'raw' parameter to 'T'.  Note that the date is now displayed in its native format.
This format will vary between different SQL servers.  For MySQL, it is YYYYY-MM-DD.
<p>
Did you happen to notice the new <b>'iterate=manual'</b> parameter for the [raw][FoundItems][/raw] context?
And the new <b>[raw][Seek][/raw]</b> tag?  With these new features, the [raw][FoundItems][/raw] context can be 
used much like a collection.  The WebDNA programmer can now control the 'cursor' position in the [raw][FoundItems][/raw] context.
This is discussed in more detail on the next page.
</div>
<p>
[include file=../header.inc&top=F&page_title=SQLResult]