[!]Grab the connect info for this tutorial session[/!]
[include file=connect.inc]

[SQLConnect dbType=[_type]&host=[_host]&database=SMSITest&uid=[_user]&pwd=[_userpwd]&conn_var=conn1]
[text]bSuccess=T[/text]
Connected successfully<br>
[/SQLConnect]
<br>

[loop start=1&end=3]
	[switch value=[index]]
		[case value=1]
		[text]tableName=employees[/text]
		[/case]
		[case value=2]
		[text]tableName=inventory[/text]
		[/case]
		[case value=3]
		[text]tableName=computers[/text]
		[/case]
	[/switch]
	
	[SQLExecute conn_ref=conn1&result_var=rs]
	select * from [tableName];
	[/SQLExecute]
	
	[SQLResult result_ref=rs]
	Table "[tableName]": [numFound] records<br>
	<table cellpadding="2" cellspacing="0" border=1>
	<tr>
	[ListFields]
	<th>[fieldname]</th>
	[/ListFields]
	</tr>
	[FoundItems]
	<tr>
	[loop start=1&end=[numFields]]
		<td>
		[showif [field seek=ordinal:[index]&get=ISNULL]=F][field seek=ordinal:[index]&get=VALUE][/showif][hideif [field seek=ordinal:[index]&get=ISNULL]=F](NULL)[/hideif]
		</td>
	[/loop]
	</tr>
	[/FoundItems]
	</table>
	[/SQLResult]
	[SQLRelease result_ref=rs]
	<br><br>
[/loop]

<hr>

Computers that are assigned to employees:<br>
[SQLExecute conn_ref=conn1&result_var=rsJoin]
select
	employees.lastName,
	employees.firstName,
	computers.computerDescription,
	inventory.dateAcquired,
	inventory.comments

from 
	employees, 
	computers, 
	inventory
	
where
	employees.employeeID = inventory.employeeID
	AND inventory.computerID = computers.computerID
	ORDER BY inventory.employeeID, inventory.dateAcquired;
[/SQLExecute]

[SQLResult result_ref=rsJoin]
[FoundItems iterate=MANUAL]
<table cellpadding="2" cellspacing="0" border="0">
<tr>
[listFields]
	<td nowrap>
	<b>[fieldName]</b> [!]([dataType]([width]), Allow Null: [showif [allowNull]=T]yes[/showif][hideif [allowNull]=T]no[/hideif])[/!]
	</td>
[/listFields]
</tr>
[showif [numFound]>0]
	[loop start=1&end=[numFound]]
		[showif [field seek=named:lastName&get=VALUE],[field seek=named:firstName&get=VALUE]![previousEmployee]]
			[text]bNewPerson=T[/text]
		[/showif]
		[hideif [field seek=named:lastName&get=VALUE],[field seek=named:firstName&get=VALUE]![previousEmployee]]
			[text]bNewPerson=F[/text]
		[/hideif]
		[showif [bNewPerson]=T]
			[showif [index]>2]
		<tr>
			<td colspan="[numFields]">&nbsp;</td>
		</tr>
			[/showif]
		[/showif]
		<tr>
		[loop start=1&end=[numFields]]
			[showif [bNewPerson]=T]
			<td>
				[field seek=ordinal:[index]&get=VALUE]
			</td>
			[/showif]
			[hideif [bNewPerson]=T]
			[showif [index]<3]
			<td>
				&nbsp;
			</td>
			[/showif]
			[hideif [index]<3]
			<td>
				[field seek=ordinal:[index]&get=VALUE]
			</td>
			[/hideif]
			[/hideif]
		[/loop]
		</tr>
		[text]previousEmployee=[field seek=named:lastName&get=VALUE],[field seek=named:firstName&get=VALUE][/text]
		[seek to=NEXT]
	[/loop]
[/showif]
</table>
[/FoundItems]
[/SQLResult]
