<!--HAS_WEBDNA_TAGS-->
[include file=../header.inc&top=T&page_title=Introduction]

<h3>Welcome to the Scope/Scope Resolution  tutorial!</h3>

This set of templates will explain how to use
the new WebDNA <b>SCOPE</b> context, and the new "<b>::</b>" scope resolution operator.  And because these template are a part of the
WebDNA lab, you will be able to experiment while you learn.  This tutorial assumes the user
is familiar with the WebDNA language.
<p>
The [raw][scope][/raw] context enables a WebDNA programmer to explicitly define a block of WebDNA code that has a 
separate variable space.  Meaning that variables defined within the 'scope', only exist for 
the duration of WebDNA between the 'scope' tags.
<p>
Here is the syntax...<br>
<b>
<xmp>
[raw][scope name=...]<WebDNA>[/scope][/raw]
</xmp>
</b>
Parameters...<br>
<b>name</b> - User defined name for the local variable space.  This name can be used with the scope 
resolution operator to 'access' variables stored in the 'named' variables space (but only for the duration of the scope context).
<br>
<br>
[include file=../header.inc&top=F&page_title=Introduction]