<!--HAS_WEBDNA_TAGS-->
[include file=../header.inc&top=T&page_title=Named Scope]
<p>
Lets create a named variable space called 'mytempvars', and create a few text variables in the new scope.<br>
We use the following code...
<b>
[raw]
<xmp>
-Scope begin...<br>
[scope name=mytempvars]
[text]a=11[/text]
[text]b=22[/text]
[text]c=33[/text]
List of local scope variables...<br>
[listvariables scope=mytempvars][name]=[value]<br>[/listvariables]
-Scope end...<br>
[/scope]
<p>
List of global variables...<br>
[listvariables][name]=[value]<br>[/listvariables]
</xmp>
[/raw]
</b>
Result...
<hr>
-Scope begin...<br>
[scope name=mytempvars]
[text]a=11[/text]
[text]b=22[/text]
[text]c=33[/text]
List of local scope variables...<br>
[listvariables scope=mytempvars][name]=[value]<br>[/listvariables]
-Scope end...<br>
[/scope]
<p>
List of global variables...<br>
[listvariables][name]=[value]<br>[/listvariables]
<hr>

So you can see that the 'local' scope variables; 'a','b', & 'c', only exist between the [raw][scope][/raw] tags.
<p>
This is useful when you need to create several temporary variables for a specific block of WebDNA code, but do not want the variables 'cluttering' the 
global template variable space.


...
[include file=../header.inc&top=F&page_title=Named Scope]
