<!--HAS_WEBDNA_TAGS-->
[include file=../header.inc&top=T&page_title=Scope Resolution - Named Method]
<p>
You can directly refer to a particular scope using the scope name between the ':' colons.
The 'name' must be qualified by 'named-', i.e.<br>
<b>[raw]<xmp>[:named-<scope name>:<variable name>]</xmp>[/raw]</b>
'Reserved' scope names can also be used.  In this case you do not need to include the 'named-' prefix, i.e.
<b>[raw]<xmp>[:global:<variable name>]</xmp>[/raw]</b>
Reserved scope names are discussed on the following page.
<p>
Using the orderfile example from the previous page...
<p>
<b>
[raw]
<xmp>
[orderfile file=testcart]
[date]<br>
[:global:date]<br>
[/orderfile]
</xmp>
[/raw]
</b>
Results...
<hr>
[orderfile file=testcart]
[date]<br>
[:global:date]<br>
[/orderfile]
<hr>
The 'global' name is the reserved scope name for secure template variables.
<p>
Using the nested scopes example from the previous page...
<b>
[raw]
<xmp>
[scope name=scope1]
  [text]a=1[text]
  [scope name=scope2]
    [text]a=11[text]
    [scope name=scope3]
      [text]a=111[text]
      value of 'a' in [scope3] = [:named-scope3:a]<br>
      value of 'a' in [scope2] = [:named-scope2:a]<br>
      value of 'a' in [scope1] = [:named-scope1:a]<br>
    [/scope]
  [/scope]
[/scope]
</xmp>
[/raw]
</b>
<p>
Results...
<hr>
[scope name=scope1]
  [text]a=1[/text]
  [scope name=scope2]
    [text]a=11[/text]
    [scope name=scope3]
      [text]a=111[/text]
      value of 'a' in [scope3] = [:named-scope3:a]<br>
      value of 'a' in [scope2] = [:named-scope2:a]<br>
      value of 'a' in [scope1] = [:named-scope1:a]<br>
    [/scope]
  [/scope]
[/scope]
<hr>

<p>
[include file=../header.inc&top=F&page_title=New Page 5]