<!--HAS_WEBDNA_TAGS-->
[include file=../header.inc&top=T&page_title=Introduction]

<h3>Welcome to the XSL/XSLT Contexts tutorial!</h3>

This set of templates will explain how to use
the new <b>WebDNA XSL/XSLT contexts</b>.  And because these template are a part of the
WebDNA lab, you will be able to experiment while you learn.  This tutorial assumes the user
is familiar with the WebDNA language.
<p>
It is recommended that you view the 'XML Contexts' tutorial before continuing
with this tutorial.
<p>
Also...<br>
If you plan on using the [raw][XSL][/raw] or [raw][XSLT][/raw]
WebDNA contexts, you will need to become familiar with the <b>XPath</b> and <b>XSLT</b> languages:
<b><xmp>
XSLT is a language for transforming XML documents into other XML documents.

XPath is a language for defining parts of an XML document.
</xmp></b>
There are several online tutorials that will help. Just use your favorite search engine
and search for 'XSL XSLT XPATH Tutorials'.
<p>
These new contexts enable the WebDNA programmer to compile and apply XSL style
sheets to XML data, allowing the programmer to query and render XML data
as they see fit.
<h3>[raw][XSL][/raw]</h3>
You can pre-compile XML style sheet code into a WebDNA variable, and then apply the
XSL object to XML data via the XSLT context.
<p>
Here is the syntax for [raw][XSL][/raw]...<br>
<b>
<xmp>
[raw][xsl var=...&source=...]<optional inline xsl style sheet content>[/xsl][/raw]
</xmp>
</b>
Parameters...<br>
<b>var</b> - The variable name you specify to represent the XSL parsed object.<br>
<br>
<b>source</b> - A URL reference to an external XSL file.  If 'source' is provided, the content
between the [raw][xsl...] and [/xsl][/raw] tags is ignored.

[include file=../header.inc&top=F&page_title=Introduction]

