<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>

<HEAD>
	<META HTTP-EQUIV="Content-Type" CONTENT="text/html;CHARSET=iso-8859-1">
	<META NAME="GENERATOR" Content="Symantec Visual Page 1.0.3">
	<TITLE>WebDNA Help</TITLE>
</HEAD>

<BODY BGCOLOR="#CCCCFF">

<P ALIGN="CENTER"><FONT SIZE="5">Help</FONT></P>
<P>Click the question-mark link in the window above to see a short description here

<HR>
<BR>
<A NAME="RequireTag"></A>Many WebMasters want to set up [product] so that it processes
<B>all</B> files (.htm, .html, etc.) instead of just processing .tpl files. If you
have a large site that contains thousands of .html files which <I>might</I> contain
some text that looks like WebDNA (but isn't meant to be interpreted), you should
set this preference to require HAS_WEBDNA_TAGS. This means pages won't be 'interpreted'
by WebDNA unless they contain the special tag. 
<HR>
<BR>
<A NAME="MaxFound"></A>Maximum Found Items limits the number of returned items from
a search. This helps prevent accidental huge search results when visitors search
for very common words in a database, like the letter &quot;a&quot;, for instance.

<HR>
<BR>
<A NAME="TemplateCaching"></A>Reduces the number of slow disk accesses whenever an
incoming URL requests a template file. You should normally cache templates. 
<HR>
<BR>
<A NAME="CheckCache"></A>Smart Caching: even when you cache templates, you may want
to modify them on disk as you develop your site. If you set this to 2 seconds, then
the maximum time between saving a file to disk and the web server displaying the
new version is 2 seconds. Setting a higher number will increase performace by reducing
disk hits. 
<HR>
<BR>
<A NAME="Commit"></A>Causes database files to be written to disk immediately after
modification, rather than waiting until they are closed. Can improve reliability
if your server ever crashes before writing databases to disk, but slows down the
server overall if you have lots of database modifications. 
<HR>
<BR>
<A NAME="BusyDB"></A>Prevents database deadlock by only waiting a certain amount
of time before &quot;giving up&quot; on an exclusive lock of a database. 
<HR>
<BR>
<A NAME="SafeWriteDatabase"></A>Enabled by default.  Sets the WebDNA engine to create a
 temporary file when writing the contents of a database to disk.  The temporary file 
 contents are then moved to the original database file after the entire database is completely 
 flushed to disk.  This helps to eliminate corruption of the original database file if there 
 is an interruption during the database write process.
<HR>
<BR>
<A NAME="ThreadSwitch"></A>Thread switching overhead is very slow on Macintosh; this
preference lets you tune performance by reducing the number of switches. 300 ticks
is 5 seconds, which means a single web hit which contains more than 5 seconds of
WebDNA processing will allow other web hits to go through. 
<HR>
<BR>
<A NAME="CommandSecurity"></A>URLs can contain certain WebDNA commands, such as &quot;xx.tpl?command=<B>Replace</B>&amp;db=xx&quot;.
You can restrict the commands which non-administrators (browsers logged in with username/password
from the ADMIN group) can execute. 
<HR>
<BR>
<A NAME="TemplateExtensions"></A>Prevents outsiders from coaxing [product] into displaying
files that might contain secret information. For instance, displaying the raw contents
of a .db file that contains passwords or credit cards is easily prevented. 
<HR>
<BR>
<A NAME="DatabaseExtensions"></A>Prevents outsiders from coaxing [product] into using
non-database files as though they were databases, either accidentally or by malicious
intent. 
<HR>
<BR>
<A NAME="PricePassword"></A>Normally visitors cannot change the price of a product
as they add it to their cart (by home-brewing a URL which contains price information)
because the price always comes from a product database. If you need to override this
feature, you can include a password in the Add command which will let you specify
a price for the item. 
<HR>
<BR>
<A NAME="WebServerFolder"></A>Almost never needs changing, but some webmasters want
to put [product]'s folder into a different place than the normal install. This allows
[product] to find its files if its folder has been moved for a custom installation.

<HR>
<BR>
<A NAME="ShoppingCartFolder"></A>Name of the shopping cart folder (local to the store
folder, so each store has its own cart folder) 
<HR>
<BR>
<A NAME="OrdersFolder"></A>Name of the orders folder (local to the store folder,
so each store has its own) 
<HR>
<BR>
<A NAME="CompletedOrdersFolder"></A>Name of the completed orders folder (local to
the store folder, so each store has its own) 
<HR>
<BR>
<A NAME="ProblemsFolder"></A>Name of the problem orders folder (local to the store
folder, so each store has its own) 
<HR>
<BR>
<A NAME="TechSupport"></A>Choose Debug when you need to debug a site that is bombing
or otherwise misbehaving. Support information will write information to
a file called &quot;[product].debug&quot; <I>before</I> processing any WebDNA on
that template. 
<HR>
<BR>
[ShowIf [platform]~unix-]
<A NAME="CatchSignal"></A> Causes the [product] engine to output debug information 
when [product] stops running due to a bus error. Information will be written into
a file called &quot;SignalCatcher.debug&quot;
<HR>
<BR>
[/showif]
<A NAME="LogError"></A> Causes [product] to write all WebDNA error messages
into a file called &quot;ErrorLog.txt&quot;.  The format of the messages and the location of the 
ErrorLog.txt file can be changed by modifying the &quot;ErrorTemplate&quot; file.
<HR>
<BR>
<A NAME="DisplayError"></A>Causes [product] to display all WebDNA error messages on browser.
<HR>
<BR>
<A NAME="MIMEHeader"></A>Some web servers require extra MIME header information to
be sent with every page. 
<HR>
<BR>
<A NAME="ThreadMem"></A>Some WebDNA is so complex that it uses up a lot of a special
kind of memory called &quot;Stack Space&quot;. The number of WebDNA contexts which
are nested deep inside of each other causes the stack space to be used more. Increasing
ThreadMem will solve problems where the error &quot;too many nested [xxx] contexts&quot;
is displayed. 
<HR>
<BR>
<A NAME="SSI"></A>Allows embedded server-side includes (SSI) to be processed either
<B>never</B>, <B>before</B>, or <B>after</B> the WebDNA on a page is processed. This
features only works with the plugin version of [product]. 
<HR>
<BR>
<A NAME="ReadDate"></A>Defines how WebDNA interprets dates when performing sorting
and comparisons, and math functions. If your dates are stored in European format
in a database, you should choose the European popup.
<HR>
<BR>
<A NAME="MathUseDateFormat"></A>When set to 'Yes', [raw][math date][/raw] will use the 'Date Display Format'.
<HR>
<BR>
<A NAME="CenturyBreak"></A>Defines how WebDNA will interpret two digit years when performing
'date' math.  <B>It is strongly recommended that you always specify a four digit year for any date
calculations.</B>  But, in the event that WebDNA is given a two digit year, this preference will allow
you to control how WebDNA will calculate the century.  By default, the 'Century Break' is set to '00'.
  This means that '00' will be interpreted as '2000', and '01' - '99' as '1901' - '1999'.  If, for example, 
you set the 'Century Break' to '30', WebDNA will interpret '00' - '30' as '2000' - '2030' and '31' - '99' 
as '1931' -  '1999'.
<HR>
<BR>
<A NAME="SynchThreads"></A>Advanced feature: turning on &quot;Intertwined Threads&quot;
will allow multiple simultaneous hits to your server that access different databases.
 For performance of WebDNA execution, the default is Intertwined Threads&quot;.
 You must be careful when using Intertwined Threads, because it is possible to write
WebDNA that creates a database deadlock situation that may require you to use the
[raw][ExclusiveLock][/raw] context to protect portions of your WebDNA templates that
could access the same database for both reading and writing purposes. Should you be concerned about this, set it to  &quot;Standard Threads &quot;.
<HR>
<BR>
<A NAME="LimitThreads"></A>Advanced feature: Sets the maximum number of concurrent connections 
that the WebDNA engine will handle at any given instance.  If the limit is reached, additional connections will be 
queued.  Setting the limit to zero will turn the limit code off.  A large value does not necessarily mean better performance.
Setting the thread limit to high may result in poor performance, as it increases the frequency of 'thread switches'.  
Mac OS 9 users are encouraged to set this to a value no higher than 10.  Faster CPUs will handle a larger value.<br>
<b>Note: This does not apply to the WebDNA - Developer Edition.</b>
<HR>
<BR>
<A NAME="ZapNulls"></A>When set to &quot;Yes&quot;, WebDNA will replace NULL characters with spaces.  
NULL characters are sometimes inserted into text files by third party HTML editors.  Templates containing NULL
characters will cause WebDNA to stop processing the template.  You should &quot;Flush Templates&quot; after changing
this setting.
<HR>
<BR>
[ShowIf [platform]~unix-]
<A NAME="InsecureFileMode"></A> Sets the file permissions that the WebDNA engine will use when creating a new 'insecure' file, i,e, [CreateFile secure=F]. 
[/showif]
<HR>
<BR>
[ShowIf [platform]~unix-]
<A NAME="SecureFileMode"></A> Sets the file permissions that the WebDNA engine will use when creating a new 'secure' file, i,e, [CreateFile secure=T]. 
[/showif]
<HR>
<BR>
<A NAME="AbsolutePath"></A>Prefixing a file or database path with an &quot;*&quot will force WebCatatog
to treat the path as &quot;absolute&quot;, and not relative to the virtual root.  This is useful on platforms
 where using an alias in not an option.  This feature is disabled by default, but can be enable by selecting &quotYes&quot;.
<HR>
<BR>
<A NAME="PreParse"></A>  Any WebDNA code that exists in the Pre-Parse Script will be processed at the start of every
  template request.<p>This is an ideal place for 'Machine' level (or 'Application' level if running as a WebDNA Sandbox) function
  definitions.

<HR>
<BR>
<A NAME="PostParse"></A>Any WebDNA code that exists in the Post-Parse Script will be processed at the 'end' of every WebDNA page request.
If the post-parse script feature is enabled, then you will need to include, at a minimum, the
[raw][WEBDNA_TEMPLATE_RESULTS][/raw] tag, as it contains the entire results of the requested template.
<p>
The [raw][WENDNA_TEMPLATE_RESULTS][/raw] tag allows you to 'wrap' WebDNA code around the template results.
<HR>
<BR>
<A NAME="CartMode"></A>When set to &quot;Use cart_hook.inc&quot;, WebDNA will execute the cart_hook.inc file
to evaluate a [raw][cart][/raw] tag.  The cart_hook.inc file is loaded from the 'WebCatalogEngine' folder for non-sandbox web sites,
and is loaded from the sandbox system folder for templates running inside a WebDNA Sandbox.  The 'stock' version 
of this file implements a 'cookie' based cart system, which eliminates the need to pass the cart value from page to page 
in the URL or form post data.<p>
WebDNA programmers are free to edit this file to suite their needs.<p>
Note: If this mode is selected, it is strongly recomended that you also enable the 'Order File Time Stamp' preference.<br>
The WebDNA process will only call the cart_hook.inc file when it encounters a [cart] tag that can not be resolve by any other means.<p>
A few example of when the engine will NOT call the cart_hook.inc:<br>

- The [raw][cart][/raw] tag is inside of a founditems loop where the containing search was performed with a database that contains a 'cart' fieldname.<br>
- The [raw][cart][/raw] tag is inside of an orderfile context.<br>
- The [raw][cart][/raw] tag in inside an include file that was called with a 'cart' parameter.  For example: [raw][Include file=^WebMerchant/OrderSplit.inc&cart='some value'...][/raw]<br>
- A 'cart' text ot math variable was defined earlier in the template.<br>
<br>
When set to &quot;Use Original Code&quot;, WebDNA will revert to the 'old' behavior for generating [raw][cart][/raw] values.
<HR>
<BR>
<A NAME="PurchaseTimeStamp"></A>When enabled, WebDNA will append a time stamp to the order filename, when a 'purchse' is made and the WebDNA process moves the order file
to the 'Orders' folder.  This allows a customer to re-enter the store, and make another purchase using the same shopping cart value.<p>
Note: It is recommended that this feature be enabled when the 'Cart Mode' preference is set to 'Use cart_hook.inc'.
<HR>
<BR>
<A NAME="DomainList"></A>Most installs of WebDNA 5.0 will have a built-in limit to the number of URL hosts that the 
WebDNA engine will respond to.  The host limit should be display in the page above, or via the WebDNA Admin
'Statistics' page.  If your version of WebDNA has a host limit, then enter the complete host names of all your WebDNA hosts running on your server, one per line, in the text area above.  The WebDNA egine will
automatically append host names to this list as they are encountered, up to the host limit.
<br>
The 'host limit' does not include 'localhost' or '127.0.0.1'.
<br>
WebDNA - Enterprise edition does not have a host limit.
<br>
You can purchase a special serial number that will increase the host limit.  This serial number
should then enterd into the 'Host Count' serial setting on the WebDNA admin 'Preferences' page. 
.<br><br><br><br>


</BODY>

</HTML>
