garbage=

[!]clear out old values[/!]
[text multi=T]__status=&x_auth_code=&x_response_reason_text=&x_MD5_Hash=&x_trans_id=&x_avs_code=[/text]<br>




[!] Normally, the x_First_Name and x_Last_Name ADC fields are optional, but for Wells Fargo
    Merchants, these ADC fields are required.  So lets parse out the first and last
    names from the orderfile [Name] value
[/!]
[listwords words=[name]&Delimiters= ]
[showif [index]=1][text]First_Name=[word][/text][/showif]
[showif [index]=2][text]Last_Name=[word][/text][/showif]

[showif [index]>2]
[!]  We have more 'words' then expected, possibly due to a prefex (Mr, Mrs, Dr. etc....)
     or a suffix (Jr, Sr, III, etc...).  So just tack on the rest to the 'Last_Name'
     The transaction should still process even if [First_Name] is 'Mr.' and [Last_Name]
     is 'John Doe Sr.'
[/!]
[text]Last_Name=[Last_Name] [word][/text]
[/showif]
[/listwords]




[text]content=x_version=3.0&[!]
[/!][showif [PayMethod]=CC][!]
[/!]x_Type=AUTH_CAPTURE&[!]
[/!]x_Company=[Company]&[!]
[/!]x_Address=[Address1]&[!]
[/!]x_City=[City]&[!]
[/!]x_Country=[Country]&[!]
[/!]x_Phone=[Phone]&[!]
[/!]x_State=[State]&[!]
[/!]x_Zip=[Zip]&[!]
[/!]x_amount=[grandTotal]&[!]
[/!]x_CARD_NUM=[accountNum]&[!]
[/!]x_Exp_Date=[format .2d][expMonth][/format][format .2d][expYear][/format]&[!]
[/!]x_tax=[taxTotal]&[!]
---   Additional fields required for Wells Fargo merchants ---
[/!]x_Customer_IP=[CartIPAddress]&[!]   (This may need to be set in your store templates)
[/!]x_Customer_Organization_Type=I&[!]  No equivalent WebMerchant tag.  I would hardcode this to "I" Individual or "B" business
[/!]x_Email=[Email]&[!]
[/!]x_First_Name=[First_Name]&[!]
[/!]x_Last_Name=[Last_Name]&[!]
[/!]x_Freight=[shippingTotal][!]  ($0 is valid)
[/!][/showif][!]


[/!][showif [PayMethod]=BK][!]
[/!]x_Type=AUTH_ONLY&[!]
[/!]x_Company=[Company]&[!]
[/!]x_Address=[Address1]&[!]
[/!]x_City=[City]&[!]
[/!]x_Country=[Country]&[!]
[/!]x_Phone=[Phone]&[!]
[/!]x_State=[State]&[!]
[/!]x_Zip=[Zip]&[!]
[/!]x_amount=[grandTotal]&[!]
[/!]x_CARD_NUM=[accountNum]&[!]
[/!]x_Exp_Date=[format .2d][expMonth][/format][format .2d][expYear][/format]&[!]
[/!]x_tax=[taxTotal]&[!]
---   Additional fields required for Wells Fargo merchants ---
[/!]x_Customer_IP=[CartIPAddress]&[!]   (This may need to be set in your store templates)
[/!]x_Customer_Organization_Type=I&[!]  No equivalent WebMerchant tag.  I would hardcode this to "I" Individual or "B" business
[/!]x_Email=[Email]&[!]
[/!]x_First_Name=[First_Name]&[!]
[/!]x_Last_Name=[Last_Name]&[!]
[/!]x_Freight=[shippingTotal][!]  ($0 is valid)
[/!][/showif][!]


[/!][showif [PayMethod]=SH][!]
[/!]x_Type=PRIOR_AUTH_CAPTURE&[!]
[/!]x_trans_id=[referenceNumber]&[!]
[/!][/showif][!]


[/!][showif [PayMethod]=CR][!]
[/!]x_Type=CREDIT&[!]
[/!]x_trans_id=[referenceNumber]&[!]
[/!]x_amount=[grandTotal]&[!]
[/!]x_CARD_NUM=[accountNum]&[!]
[/!]x_Exp_Date=[format .2d][expMonth][/format][format .2d][expYear][/format]&[!]
[/!][/showif][!]


[/!][showif [PayMethod]=VO][!]
[/!]x_Type=VOID&[!]
[/!]x_trans_id=[referenceNumber]&[!]
[/!][/showif][!]


[/!]x_Method=CC&[!]
[/!]x_ADC_Relay_Response=FALSE&[!]
[/!]x_Invoice_Num=[cart]&[!]
[/!]x_login=[lookup db=WebMerchantPrefs.db&lookinfield=Preference&value=AuthorizeNet_Login&returnfield=Value&notfound=]&[!]
[/!]x_Password=[lookup db=WebMerchantPrefs.db&lookinfield=preference&value=AuthorizeNet_Password&returnfield=value]&[!]
[/!]x_ADC_URL=FALSE&[!]
[/!]x_ADC_Delim_Data=TRUE&[!]
[/!]x_ADC_Delim_Character=,&[!]
[/!]x_Test_Request=[lookup db=WebMerchantPrefs.db&lookinfield=preference&value=AuthorizeNet_Test&returnfield=value][/text]

[writefile file=an_test.txt][content][/writefile]

[text]response=[tcpconnect host=secure.authorize.net&port=443&ssl=T][!]
[/!][tcpsend]POST /gateway/transact.dll HTTP/1.0[UnURL]%0D%0A[/UnURL][!]
[/!]User-Agent: StoreBuilder[UnURL]%0D%0A[/UnURL][!]
[/!]Content-type: application/x-www-form-urlencoded[UnURL]%0D%0A[/UnURL][!]
[/!]Content-length: [CountChars][content][/CountChars][UnURL]%0D%0A[/UnURL][!]
[/!][UnURL]%0D%0A[/UnURL][!]
[/!][content][UnURL]%0D%0A[/UnURL][!]
[/!][/TCPSend][/tcpconnect][/text]


[writefile file=an_response.txt][response][/writefile]

[text]response=[unurl][middle startafter=[url]%0D%0A%0D%0A[/url]&endbefore=][url][response][/url][/middle][/unurl][/text]
[text]response=[grep search=,&replace=	][response][/grep][/text]

&m_BatchNum=&m_SequenceNum=&m_ItemNum=[!]
[/!][listwords words=[response]&tabs=T][!]
[/!][showif [index]=1]&m_status=[showif [word]=1]Approved[/showif][showif [word]=2]Declined[/showif][showif [word]=3]Error[/showif][/showif][!]
[/!][showif [index]=4][text]response_1=[word][/text][/showif][!]
[/!][showif [index]=5]&m_AuthNum=[word][/showif][!]
[/!][showif [index]=6]&m_AddressResponse=[word][/showif][!]
[/!][showif [index]=7]&m_RefNum=[word][/showif][!]
[/!][showif [index]=38]&m_Response=[response_1]<br>Hash: [word][/showif][!]
[/!][/listwords]
