<!--HAS_WEBDNA_TAGS--><html>
[!]================================================================================
Takes the following steps to change to change the template for another database:
1) Choose a name for your database.  (e.g. STUFF.DB)
2) Choose a unique two character prefix followed by an underscore for the database.
   (e.g. ST_)
3) Define the first two fields in your database as an ID and RANK using the prefix.
   (e.g. ST_ID, ST_RANK)
4) Find and Replace the string "WebDNA_ISP_Hosts" with your new database name.  (e.g. replace
   "WebDNA_ISP_Hosts" with "stuff")  Replace all "WebDNA_ISP_Hosts" in this template along with the 
   filenames.  (e.g. "WebDNA_ISP_Hosts.tpl" and "edit_WebDNA_ISP_Hosts.tpl" becomes "stuff.tpl" and 
   "edit_stuff.tpl")
5) Find and Replace the string "SP_" with your prefix.  (e.g. "SP_" becomes "ST_")
- - - - - - - - - - - - - - - - - - - - 
For databases in the ADMIN directory:

1) Replace the <body> tag and <h1>HEADER</h1> with:

[include body_tag.inc]
[text]page_title=YOUR TITLE GOES HERE[/text]
[text]helpid=HELP_PAGE_CODE[/text]
[include banner.inc]

2) Replace "YOUR TITLE GOES HERE" with the Title for your page. (e.g. Stuff Database)
3) Replace "HELP_PAGE_CODE" with a unique help ID. (e.g. stuff_data)
4) Open "admin/helpdata.tpl" in your browser.
5) Add new HELP content using your unique help ID.


================================================================================[/!]

<body>
<h1>WDNA_ISP_Hosts Database Update</h1>
<br>
<table width="500" border="1" cellspacing="0">
<tr>
<td valign="top">

[FormVariables name=back&exact=T][text]goback=T[/text][/FormVariables]

[ShowIf [deleteme]=delete]
[Redirect url=WebDNA_ISP_Hosts.tpl?[Url]action=delete&__SANDBOX_ID=[__SANDBOX_ID][/Url]]
[!][DELETE db=WDNA_ISP_Hosts.db&eqSANDBOX_IDdatarq=[__SANDBOX_ID]]
[text]goback=T[/text][/!]
[/ShowIf]



[ShowIf [dothis]=update]
[Replace db=WDNA_ISP_Hosts.db&eqSANDBOX_IDdatarq=[__SANDBOX_ID]&append=T][Formvariables name=__&exact=F][Hideif [index]=1]&[/Hideif][GetChars start=3][name][/GetChars]=[Url][value][/Url][/Formvariables][/Replace]
[text]goback=T[/text]
[/ShowIf]

[!]Redirect to another page when "Done" is clicked[/!]

[ShowIf [goback]=T]
[REDIRECT url=WebDNA_ISP_Hosts.tpl]
[/ShowIf]

[math show=F]newid=1+[Search db=WDNA_ISP_Hosts.db&neSANDBOX_IDdatarq=find_all&deSANDBOX_IDsort=1&SANDBOX_IDtype=number&max=1][ShowIf [numfound]=0]0[/ShowIf][FoundItems][SANDBOX_ID][/FoundItems][/search][/math]
[Search db=WDNA_ISP_Hosts.db&eqSANDBOX_IDdatarq=[SANDBOX_ID]]
[ShowIf [numfound]=0]
[Text]SANDBOX_ID=[newid][/Text]
[ListFields db=WDNA_ISP_Hosts.db]
  [Showif [fieldname]!SANDBOX_ID][Text][fieldname]=[/Text][/Showif]
[/ListFields]

[/ShowIf]
[FoundItems]
[Text]SANDBOX_ID=[SANDBOX_ID][/Text]
[ListFields db=WDNA_ISP_Hosts.db]
  [Showif [fieldname]!SANDBOX_ID][Text][fieldname]=[Interpret][[fieldname]][/Interpret][/Text][/Showif]
[/ListFields]
[/FoundItems] 
[/Search]



<form name="frmWebDNA_ISP_Hosts" method="post" action="edit_WebDNA_ISP_Hosts.tpl">
<input type="hidden" name="__SANDBOX_ID" value="[SANDBOX_ID]">
<input type="hidden" name="action" value="update">
<table border="0" cellspacing="0">
<tr>
  <td colspan="2" align="center"><b>ADD/EDIT RECORDS</b></td>
</tr>
<tr>
  <td>SANDBOX_ID:</td>
  <td><b>[SANDBOX_ID]</b></td>
</tr>
<tr>
  <td>PLAN_ID:</td>
  <td><select name="__PLAN_ID">
  [Search db=WDNA_ISP_Plans.db&nePlanNumberdatarq=Find_All&asPlanNumbersort=1&PlanNumbertype=num]
  [Founditems]
  	<option value="[PLAN_ID]" [Showif [PLAN_ID]=[PlanNumber]]selected[/Showif]>([PlanNumber]) [PlanName]</option>
  [/Founditems]
  [/Search]
  </select></td>
</tr>
<tr>
  <td>HOST_ID:</td>
  <td><input type="text" name="__HOST_ID" value="[HOST_ID]"></td>
</tr>
<tr>
  <td>ORDER_ID:</td>
  <td><input type="text" name="__ORDER_ID" value="[ORDER_ID]"></td>
</tr>
<tr>
  <td>NAME:</td>
  <td><input type="text" name="__NAME" value="[NAME]"></td>
</tr>
<tr>
  <td>EMAIL:</td>
  <td><input type="text" name="__EMAIL" value="[EMAIL]"></td>
</tr>
<tr>
  <td>PHONE1:</td>
  <td><input type="text" name="__PHONE1" value="[PHONE1]"></td>
</tr>
<tr>
  <td>PHONE2:</td>
  <td><input type="text" name="__PHONE2" value="[PHONE2]"></td>
</tr>
<tr>
  <td>ADDRESS1:</td>
  <td><input type="text" name="__ADDRESS1" value="[ADDRESS1]"></td>
</tr>
<tr>
  <td>ADDRESS2:</td>
  <td><input type="text" name="__ADDRESS2" value="[ADDRESS2]"></td>
</tr>
<tr>
  <td>CITY:</td>
  <td><input type="text" name="__CITY" value="[CITY]"></td>
</tr>
<tr>
  <td>STATE:</td>
  <td><input type="text" name="__STATE" value="[STATE]"></td>
</tr>
<tr>
  <td>ZIP:</td>
  <td><input type="text" name="__ZIP" value="[ZIP]"></td>
</tr>
<tr>
  <td>COUNTRY:</td>
  <td><input type="text" name="__COUNTRY" value="[COUNTRY]"></td>
</tr>
[!]
<tr>
  <td>CREATE_DATE:</td>
  <td><input type="text" name="__CREATE_DATE" value="[CREATE_DATE]"></td>
</tr>
<tr>
  <td>MODIFIED_DATE:</td>
  <td><input type="text" name="__MODIFIED_DATE" value="[MODIFIED_DATE]"></td>
</tr>
<tr>
  <td>CREATE_ADMIN:</td>
  <td><input type="text" name="__CREATE_ADMIN" value="[CREATE_ADMIN]"></td>
</tr>
<tr>
  <td>MODIFIED_ADMIN:</td>
  <td><input type="text" name="__MODIFIED_ADMIN" value="[MODIFIED_ADMIN]"></td>
</tr>
[/!]
<tr>
  <td>ENABLED:</td>
  <td><select name="__ENABLED">
  	<option value="T" [Showif [ENABLED]=T]selected[/Showif]>True</option>
  	<option value="F" [Showif [ENABLED]=F]selected[/Showif]>False</option>
  </select></td>
</tr>
<tr>
  <td>DOMAIN:</td>
  <td><input type="text" name="__DOMAIN" value="[DOMAIN]" size="50"></td>
</tr>
<tr>
  <td>&nbsp;</td>
  <td><input type="submit" name="dothis" value="UPDATE"><input type="submit" name="deleteme" value="DELETE"><input type="submit" name="back" value="BACK TO MAIN"></td>
</tr>
</table>
</form>
</td>

</table>

</body></html>