<HTML>
<head>
<title>This is the InternetCash Landing Page</title>
</head>
<BODY>
<!--HAS_WEBDNA_TAGS-->
[text show=f]

[text]cartsFolder=[lookup db=WebCatalog Prefs&lookInField=preference&value=ShoppingCartFolder&returnField=value][/text]
[hideif [getchars start=1&end=1][cartsFolder][/getchars]=/]
[text]cartsFolder=../[cartsFolder][/text]
[/hideif]
[hideif [getchars start=[countchars][cartsFolder][/countchars]&end=[countchars][cartsFolder][/countchars]][cartsFolder][/getchars]=/]
[text]cartsFolder=[cartsFolder]/[/text]
[/hideif]

[text]ordersFolder=[lookup db=WebCatalog Prefs&lookInField=preference&value=OrdersFolder&returnField=value][/text]
[hideif [getchars start=1&end=1][ordersFolder][/getchars]=/]
[text]ordersFolder=../[ordersFolder][/text]
[/hideif]
[hideif [getchars start=[countchars][ordersFolder][/countchars]&end=[countchars][ordersFolder][/countchars]][ordersFolder][/getchars]=/]
[text]ordersFolder=[ordersFolder]/[/text]
[/hideif]

[/text]

[showif Macintosh=[platform]]
[text show=f&multi=t][applescript]
property spendcashserver : "http://216.35.64.73/servlet/ICPaymentMsgHandlerServlet"
property merchantid : "[lookup db=WebMerchantPrefs.db&lookinfield=Preference&value=InternetCashMerchantID&returnfield=Value&notFound=0000]"
property merchantkey : "[lookup db=WebMerchantPrefs.db&lookinfield=Preference&value=InternetCashMerchantKey&returnfield=Value&notFound=0000]"

--
--	ConvertICWrapperVerificationResult
--	Processes results from a "Process" transaction call.
--

on ConvertICWrapperProcessResult(wrapperresponse)
	set temp to class rcod of wrapperresponse
	set desc to class rdsc of wrapperresponse
	set myresponse to record
	if (temp is equal to 0) then
		set myresponse to {ReturnCode:temp, ReturnCodeDescription:desc, merchantid:class merc of wrapperresponse, TransactionID:class taid of wrapperresponse, CurrencyCode:class curr of wrapperresponse, amount:class debt of wrapperresponse, Description:class desc of wrapperresponse, PAN:class pan  of wrapperresponse, AuthorizationTime:class atme of wrapperresponse, AuthorizationNumber:class numb of wrapperresponse, Cards:class crds of wrapperresponse}
		
		set tempprice to string
		copy amount of myresponse to tempprice
		set tempprice to (characters 1 through ((offset of " " in tempprice) - 1)) of tempprice
		set amount of myresponse to tempprice as string
		
		set tempdescription to string
		copy Description of myresponse to tempdescription
		set tempdescription to (characters 1 through ((offset of " " in tempdescription) - 1)) of tempdescription
		set Description of myresponse to tempdescription as string
		
	else
		set myresponse to {ReturnCode:temp, ReturnCodeDescription:desc}
	end if
	
	return myresponse	
end ConvertICWrapperProcessResult

--
--	ConvertICWrapperVerificationResult
--	Processes results from a "GET" transaction call.
--

on ConvertICWrapperVerificationResult(wrapperresponse)
	set temp to class rcod of wrapperresponse
	set desc to class rdsc of wrapperresponse
	set myresponse to record
	if (temp is equal to 0) then
		
		set myresponse to "ReturnCode=" & temp & "&ReturnCodeDescription=" & desc & "&merchantid=" & class merc of wrapperresponse & "&TransactionID=" & class taid of wrapperresponse & "&CurrencyCode=" & class curr of wrapperresponse & "&amount=" & class debt of wrapperresponse & "&Description=" & class desc of wrapperresponse & "&PAN=" & class pan  of wrapperresponse
						
	else
		set myresponse to "ReturnCode=" & temp & "&ReturnCodeDescription=" & desc
	end if
	
	return myresponse as text
	
end ConvertICWrapperVerificationResult

--
--  Get the information about this purchase, and verify the correct merhcant id, and price.
--
tell application "icmwrapper"
	set x to ICGetPayTransaction AuthorizationString "[message]"
end tell

-- Here is where I want to get the result of the transaction and set it into our file...
set icmresponse to ConvertICWrapperVerificationResult(x)

return icmresponse
[/applescript][/text]
[/showif] [!]This is the Mac Code[/!]

[showif Windows=[platform]]
[!]This is how you validate the message[/!]
[text show=f]allstuff=[url][DOS]
echo off
icm_wrapper.exe -g [message]
[/DOS][/url][/text]

[listwords words=[allstuff]&delimiters=%0D%0A]
[hideif [index]=1]
[text show=f][word][/text]
[/hideif]
[/listwords]

[!]Sometimes they return it in a different field[/!]
[showif [amount]=[raw][amount][/raw]]
[text show=f]amount=[TransactionAmount][/text]
[/showif]
[/showif] [!]This is the Windows Code[/!]

[!]Here is the UNIX Section[/!]
[showif [platform]~unix-]
[text show=f]haveICM=[fileinfo ^WebMerchant/icm_wrapper.exe][exists][/fileinfo][/text]

[showif [haveICM]=T]

[!]Get the transaction data[/!]
[text show=f]allstuff=[shell]
./Globals/WebMerchant/icm_wrapper.exe -g [message][/shell][/text]
[listwords words=[url][allstuff][/url]&delimiters=%0A]
[text show=f][word][/text]
[/listwords]

[!]Sometimes they return it in a different field[/!]
[showif [amount]=[raw][amount][/raw]]
[text show=f]amount=[TransactionAmount][/text]
[/showif]
[/showif]

[showif [haveICM]=F]
<H3>You need to copy and set the execute permissions for the ICM_WRAPPER.EXE for your platfrom. Then Try again.</H3>
[/showif]
[/showif][!]This is the UNIX Code[/!]

[text show=f]m_status=[showif [ReturnCode]=0]Approved[/showif][showif [ReturnCode]=2]Declined[/showif][showif [ReturnCode]=3]Error[/showif][/text]
[text show=f]m_response=[ReturnCode]: [ReturnCodeDescription][/text]
[text show=f]x_invoice_num=[convertchars db=^WebMerchant/ConvertSpaceNothing.db][TransactionID][/convertchars][/text]

[showif [ReturnCode]=0]
[text show=f]m_authNum=[PAN][/text]
[text show=f]x_response_code=[ReturnCode][/text]
[/showif]

[!]Here is the testing code to see what you have done...[/!]
[showif debug=debug]
<BR><BR>
<HR>
m_status [m_status]<BR>
m_authNum [m_authNum]<BR>
m_response [m_response]<BR>
<BR>
ReturnCode [ReturnCode]<BR>
ReturnCodeDescription [ReturnCodeDescription]<BR>
merchantid [merchantid]<BR>
TransactionID "[TransactionID]"<BR>
CurrencyCode [CurrencyCode]<BR>
amount [amount]<BR>
Description [Description]<BR>
PAN [PAN]<BR>
<HR>
<BR><BR>
[/showif]

[!] Here is the section that actually does the integration into WebMerchant [/!]

[math show=f]good=1[/math]

[!]Confirm the amount and the merchant ID[/!]
[hideif [lookup db=WebMerchantPrefs.db&lookinfield=Preference&value=InternetCashMerchantID&returnfield=Value&notFound=0000]=[merchantid]]
[math show=f]good=0[/math]
Wrong Merchant Account!<BR>
[/hideif]

[hideif [fileinfo [cartsFolder][x_invoice_num]][exists][/fileinfo]=T]
[math show=f]good=0[/math]
No File!<BR>
[/hideif]

[showif [good]=1]
[orderfile file=[cartsFolder][x_invoice_num]]
[hideif [grandTotal]=[math][text]amount[/text][/math]]
[math show=f]good=0[/math]
Total is Different!<BR>
total is "[grandTotal]"<BR>
transaction is "[math][text]amount[/text][/math]"<BR>
[/hideif]
[/orderfile]
[/showif]

[!]Here is the place to actually take the funds[/!]
[showif [good]=1]
We are charging the account!<BR>
[showif [platform]~unix-]
[text show=f]haveICM=[fileinfo ^WebMerchant/icm_wrapper.exe][exists][/fileinfo][/text]

[showif [haveICM]=T]
[!]Here is the one to actually committ the charge[/!]
[writefile file=^WebMerchant/merchkey.txt&secure=f][lookup db=WebMerchantPrefs.db&lookinfield=Preference&value=InternetCashMerchantKey&returnfield=Value&notFound=0000]
[/writefile]
[text show=f]exGarbage=[shell]
./Globals/WebMerchant/icm_wrapper.exe "[message]" "http://216.35.64.73/servlet/ICPaymentMsgHandlerServlet" 30 "" 80 "Globals/WebMerchant/merchkey.txt"[/shell][/text]
[/showif] [!]We have the icm_wrapper.exe[/!]
[/showif] [!]Close of the UNIX section[/!]

[showif Windows=[platform]]
[!]Here is the one to actually committ the charge[/!]
[text show=f]exGarbage=[url][DOS]
echo off
icm_wrapper.exe "[message]" "http://216.35.64.73/servlet/ICPaymentMsgHandlerServlet" 30 "" 80 "[lookup db=WebMerchantPrefs.db&lookinfield=Preference&value=InternetCashMerchantKey&returnfield=Value&notFound=0000]"
[/DOS][/url][/text]

[/showif] [!]This is the Windows Code[/!]

Here is the path to the file:
"[cartsFolder][x_invoice_num]"

[!]write results into file and Move to Orders folder [/!]
[!]The OB payMethod is used to indicate to WebMerchant that no further processing is necessary on this order[/!]
[setheader file=[cartsFolder][x_invoice_num]]payMethod=OB_CC[/setheader]
[setheader file=[cartsFolder][x_invoice_num]]payMethod=OB_CC&status=[m_status]&authNumber=[m_authNum]&responseText=[m_response]&referenceNumber=&ItemNumber=InternetCash[/setheader]

[movefile from=[cartsFolder][x_invoice_num]&to=[ordersFolder][x_invoice_num]]

[hideif [url][lookup db=WebMerchantPrefs.db&lookinfield=preference&value=OutOfBandThanks&returnfield=value][/url]=]
[redirect [lookup db=WebMerchantPrefs.db&lookinfield=preference&value=OutOfBandThanks&returnfield=value]?cart=[x_invoice_num]]
[/hideif]
[/showif] [!]Here is the end of the Good processing[/!]

[!]This is the place for a message to them about the bad processing[/!]
[hideif [good]=1]
<HR>
<H3>Sorry, but there is a problem completing your transaction!</H3><BR><BR>
<H3>Please contact our customer service!</H3>
[/hideif]

</BODY>
</HTML>
