<!--HAS_WEBDNA_TAGS-->
[text]REL_ROOT_DIR=../[/text]
<html>
[!]================================================================================
Takes the following steps to change to change the template for another database:
1) Choose a name for your database.  (e.g. STUFF.DB)
2) Choose a unique two character prefix followed by an underscore for the database.
   (e.g. ST_)
3) Define the first two fields in your database as an ID and RANK using the prefix.
   (e.g. ST_ID, ST_RANK)
4) Find and Replace the string "Links" with your new database name.  (e.g. replace
   "Links" with "stuff")  Replace all "Links" in this template along with the 
   filenames.  (e.g. "Links.tpl" and "edit_Links.tpl" becomes "stuff.tpl" and 
   "edit_stuff.tpl")
5) Find and Replace the string "LK_" with your prefix.  (e.g. "LK_" becomes "ST_")
- - - - - - - - - - - - - - - - - - - - 
For databases in the ADMIN directory:

1) Replace the <body> tag and <h1>HEADER</h1> with:

[include body_tag.inc]
[text]page_title=YOUR TITLE GOES HERE[/text]
[text]helpid=HELP_PAGE_CODE[/text]
[include banner.inc]

2) Replace "YOUR TITLE GOES HERE" with the Title for your page. (e.g. Stuff Database)
3) Replace "HELP_PAGE_CODE" with a unique help ID. (e.g. stuff_data)
4) Open "admin/helpdata.tpl" in your browser.
5) Add new HELP content using your unique help ID.


================================================================================[/!]

[include body_tag.inc]
[text]page_title=Links Database Update[/text]
[text]helpid=HELP_PAGE_CODE[/text]
[include banner.inc]
<br>
<table width="500" border="1" cellspacing="0">
<tr>
<td valign="top">

[FormVariables name=back&exact=T][text]goback=T[/text][/FormVariables]

[ShowIf [deleteme]=delete]
[Redirect url=Links.tpl?[Url]action=delete&__LK_ID=[__LK_ID][/Url]]
[!][DELETE db=Links.db&eqLK_iddatarq=[__LK_id]]
[text]goback=T[/text][/!]
[/ShowIf]



[ShowIf [dothis]=update]
[text]categoryName=[Lookup db=[REL_ROOT_DIR]data/cat_links.db&value=[__LK_cat_ID]&lookinfield=CAT_ID&returnfield=CAT_TITLE&notfound=][/text]
[Replace db=Links.db&eqLK_iddatarq=[__LK_id]&append=T][Formvariables name=__&exact=F][Hideif [index]=1]&[/Hideif][GetChars start=3][name][/GetChars]=[Url][value][/Url][/Formvariables]&lk_category=[categoryName][/Replace]
[text]goback=T[/text]
[/ShowIf]

[!]Redirect to another page when "Done" is clicked[/!]

[ShowIf [goback]=T]
[REDIRECT url=Links.tpl[url]?--group1field=[--group1field]&--wogroup1datarq=[--wogroup1datarq][/url]]
[/ShowIf]

[math show=F]newid=1+[Search db=Links.db&neLK_iddatarq=find_all&deLK_idsort=1&LK_idtype=number&max=1][ShowIf [numfound]=0]0[/ShowIf][FoundItems][LK_id][/FoundItems][/search][/math]
[Search db=Links.db&eqLK_iddatarq=[LK_id]]
[ShowIf [numfound]=0]
[Text]LK_id=[newid][/Text]
[ListFields db=Links.db]
  [Showif [fieldname]!LK_id][Text][fieldname]=[/Text][/Showif]
[/ListFields]

[/ShowIf]
[FoundItems]
[Text]LK_id=[LK_id][/Text]
[ListFields db=Links.db]
  [Showif [fieldname]!LK_id][Text][fieldname]=[Interpret][[fieldname]][/Interpret][/Text][/Showif]
[/ListFields]
[/FoundItems] 
[/Search]



<form name="frmLinks" method="post" action="edit_Links.tpl">
<input type="hidden" name="__LK_id" value="[LK_id]">
<input type="hidden" name="action" value="update">
<input type="hidden" name="--group1field" value="[--group1field]">
<input type="hidden" name="--wogroup1datarq" value="[--wogroup1datarq]">
<table border="0" cellspacing="0">
<tr>
  <td colspan="2" align="center"><b>ADD/EDIT RECORDS</b></td>
</tr>
[ListFields db=Links.db]
[Showif [fieldname]!LK_id]
[hideif [fieldname]=lk_category]
<tr>
  <td>	[if "[fieldname]"="lk_cat_id"][then]CATEGORY[/then]
  	[else][GetChars start=4][fieldname][/GetChars][/else]
  	[/if]:
  	</td>
<td>
[if "[fieldname]"="LK_Visible"][then]
   <select name="__[fieldname]" >
     <option value=T[showif [PH_type]=T] selected [/showif] >Yes
     <option value=F[showif [PH_type]=F] selected [/showif] >No
   </select>
[/then]
[else]
	[if "[fieldname]"="LK_CAT_ID"][then]
	   <select name="__LK_CAT_ID" >
	   	<option value="">No category
		[search db=../data/cat_Links.db&eqCAT_VISIBLEdatarq=T&CAT_RankSort=1&CAT_RankType=num]            
		[foundItems]
	     	<option value="[cat_id]"[showif [LK_CAT_ID]=[cat_id]] selected [/showif] >[cat_title]
		[/foundItems]
		[/search]
	   </select>
	[/then]
	[else]
		[if "[fieldname]"="LK_Description"][then]
		<textarea name="__[fieldname]" col=100 rows=10>[Interpret][[fieldname]][/Interpret]  </textarea>
	
		[/then]
		[else]
			[if "[fieldname]"="LK_IMAGE"][then]
			   <select name="__LK_IMAGE" >
			   	<option value="">No image
				[ListFiles path=../linklogos]
				[showif [IsFile]=T]
			     	<option value="[filename]"[showif [url][LK_IMAGE][/url]=[url][filename][/url]] selected [/showif] >[filename]
				[/showif]
				[/ListFiles]
			   </select>(linklogos folder)
			[/then]
			[else]
				
			   	<input type="text" name="__[fieldname]" value="[Interpret][[fieldname]][/Interpret]">
			   	
			[/else]
			[/if]
		[/else]
		[/if]
	[/else]
	[/if]
[/else]
[/if]
</td>
</tr>
[/hideif]
[/Showif]

[/ListFields]
<tr>
  <td>&nbsp;</td>
  <td><input type="submit" name="dothis" value="UPDATE"><input type="submit" name="deleteme" value="DELETE"><input type="submit" name="back" value="BACK TO MAIN"></td>
</tr>
</table>
</form>
</td>

</table>

</body></html>