<!--HAS_WEBDNA_TAGS-->
[Protect groups=ADMIN]
<html>
[!]================================================================================
Takes the following steps to change to change the template for another database:
1) Choose a name for your database.  (e.g. STUFF.DB)
2) Choose a unique two character prefix followed by an underscore for the database.
   (e.g. ST_)
3) Define the first two fields in your database as an ID and RANK using the prefix.
   (e.g. ST_ID, ST_RANK)
4) Find and Replace the string "subslineitems" with your new database name.  (e.g. replace
   "subslineitems" with "stuff")  Replace all "subslineitems" in this template along with the 
   filenames.  (e.g. "default.tpl" and "edit_subslineitems.tpl" becomes "stuff.tpl" and 
   "edit_stuff.tpl")
5) Find and Replace the string "SL_" with your prefix.  (e.g. "SL_" becomes "ST_")
- - - - - - - - - - - - - - - - - - - - 
For databases in the ADMIN directory:

1) Replace the <body> tag and <h1>HEADER</h1> with:

[include body_tag.inc]
[text]page_title=YOUR TITLE GOES HERE[/text]
[text]helpid=HELP_PAGE_CODE[/text]
[include banner.inc]

2) Replace "YOUR TITLE GOES HERE" with the Title for your page. (e.g. Stuff Database)
3) Replace "HELP_PAGE_CODE" with a unique help ID. (e.g. stuff_data)
4) Open "admin/helpdata.tpl" in your browser.
5) Add new HELP content using your unique help ID.


================================================================================[/!]

<body>
<h1>subslineitems Database Update</h1>
<br>
<table width="500" border="1" cellspacing="0">
<tr>
<td valign="top">

[FormVariables name=back&exact=T][text]goback=T[/text][/FormVariables]

[ShowIf [deleteme]=delete]
[DELETE db=subs_lineitems.db&eqSL_iddatarq=[__SL_id]]
[text]goback=T[/text]
[/ShowIf]


[ShowIf [dothis]=update]
[Replace db=subs_lineitems.db&eqSL_iddatarq=[__SL_id]&append=T][Formvariables name=__&exact=F][Hideif [index]=1]&[/Hideif][GetChars start=3][name][/GetChars]=[Url][value][/Url][/Formvariables][/Replace]
[text]goback=T[/text]
[/ShowIf]

[ShowIf [dothis]=add]
[math show=F]newid=1+[Search db=subs_lineitems.db&neSL_iddatarq=find_all&deSL_idsort=1&SL_idtype=number&max=1][ShowIf [numfound]=0]0[/ShowIf][FoundItems][SL_id][/FoundItems][/search][/math]
[Replace db=subs_lineitems.db&eqSL_iddatarq=[newid]&append=T]SL_ID=[newid]&SL_SKU=[addsku]&SL_SSID=[SS_ID]&SL_QUANTITY=1[Search db=../admin/products.db&eqSKUdatarq=[addsku]&max=1][Founditems]&SL_price=[PRICE]&SL_taxable=[TAXABLE]&SL_canEmail=[canemail]&SL_unitshipcost=0[/Founditems][/Search][/Replace]
[text]goback=T[/text]
[/ShowIf]

[!]Redirect to another page when "Done" is clicked[/!]

[ShowIf [goback]=T]
[REDIRECT url=edit_subscriptions.tpl?SS_ID=[SS_ID]]
[/ShowIf]

[math show=F]newid=1+[Search db=subs_lineitems.db&neSL_iddatarq=find_all&deSL_idsort=1&SL_idtype=number&max=1][ShowIf [numfound]=0]0[/ShowIf][FoundItems][SL_id][/FoundItems][/search][/math]
[Search db=subs_lineitems.db&eqSL_iddatarq=[SL_id]]
[ShowIf [numfound]=0]
[Text]SL_id=[newid][/Text]
[Text]SL_SSid=[SS_ID][/Text]
[ListFields db=subs_lineitems.db]
  [Showif [fieldname]!SL_id][Showif [fieldname]!SL_ssid][Text][fieldname]=[/Text][/Showif][/Showif]
[/ListFields]

[/ShowIf]
[FoundItems]
[Text]SL_id=[SL_id][/Text]
[ListFields db=subs_lineitems.db]
  [Showif [fieldname]!SL_id][Text][fieldname]=[Interpret][[fieldname]][/Interpret][/Text][/Showif]
[/ListFields]
[/FoundItems] 
[/Search]


[ShowIf [action]=update]
[Search db=../admin/products.db&eqSKUdatarq=[__SL_SKU]]
[Founditems]
	[text]SL_SKU=[SKU][/text]
	[text]SL_PRICE=[price][/text]
	[text]SL_TAXABLE=[TAXABLE][/text]
	[text]SL_CANEMAIL=[CANEMAIL][/text]
	[text]SL_CANSHIP=[CANSHIP][/text]
	[Showif =[SL_QUANTITY]][text]SL_QUANTITY=1[/text][/Showif]
[/Founditems]
[/Search]
[/ShowIf]


[!]--------------------------------------------------------------------------------
	Display Lineitems associated with this record
--------------------------------------------------------------------------------[/!]
[Search db=subs_lineitems.db&eqSL_SSIDdatarq=[SL_SSID]]
<table border="1" width="100%" bgcolor="#CCCCCC">
<tr>
<td>SL_ID</td><td>SL_SSID</td><td>SL_cart</td><td>SL_sku</td><td>SL_quantity</td><td>SL_price</td><td>SL_taxable</td><td>SL_canEmail</td><td>SL_unitshipcost</td><td>SL_textA</td><td>SL_textB</td><td>SL_textC</td><td>SL_textD</td><td>SL_textE</td><td>SL_textF</td><td>SL_textG</td><td>SL_textH</td><td>SL_textI</td><td>SL_textJ</td><td>SL_textK</td><td>SL_textL</td><td>SL_textM</td><td>SL_textN</td><td>SL_textO</td><td>SL_textP</td><td>SL_textQ</td><td>SL_textR</td><td>SL_textS</td><td>SL_textT</td><td>SL_textU</td><td>SL_textV</td><td>SL_textW</td><td>SL_textX</td><td>SL_textY</td><td>SL_textZ</td>
</tr>
[Founditems]
<tr>
<td>[SL_ID]</td><td>[SL_SSID]</td><td>[SL_cart]</td><td>[SL_sku]</td><td>[SL_quantity]</td><td>[SL_price]</td><td>[SL_taxable]</td><td>[SL_canEmail]</td><td>[SL_unitshipcost]</td><td>[SL_textA]</td><td>[SL_textB]</td><td>[SL_textC]</td><td>[SL_textD]</td><td>[SL_textE]</td><td>[SL_textF]</td><td>[SL_textG]</td><td>[SL_textH]</td><td>[SL_textI]</td><td>[SL_textJ]</td><td>[SL_textK]</td><td>[SL_textL]</td><td>[SL_textM]</td><td>[SL_textN]</td><td>[SL_textO]</td><td>[SL_textP]</td><td>[SL_textQ]</td><td>[SL_textR]</td><td>[SL_textS]</td><td>[SL_textT]</td><td>[SL_textU]</td><td>[SL_textV]</td><td>[SL_textW]</td><td>[SL_textX]</td><td>[SL_textY]</td><td>[SL_textZ]</td>
</tr>
[/Founditems]
</table>
[/Search]
[!]--------------------------------------------------------------------------------
	Display Record Details
--------------------------------------------------------------------------------[/!]
<form name="frmsubslineitems" method="post" action="edit_subslineitems.tpl">
<input type="hidden" name="SS_ID" value="[SS_ID]">
<input type="hidden" name="SL_ID" value="[SL_ID]">

<input type="hidden" name="action" value="update">
<table border="0" cellspacing="0">
<tr>
  <td colspan="2" align="center"><b>ADD/EDIT RECORDS</b></td>
</tr>
<tr>
  <td>ID:</td>
  <td><input type="hidden" name="__SL_id" value="[SL_id]">[SL_id]</td>
</tr>
<tr>
  <td>SSID:</td>
  <td><input type="hidden" name="__SL_SSID" value="[SL_SSID]">[SL_SSID]</td>
</tr>



<tr>
  <td>cart:</td>
  <td><input type="text" name="__SL_cart" value="[SL_cart]"></td>
</tr>



<tr>
  <td>sku:</td>
  <td><select name="__SL_sku" onChange="submit();">
  [Search db=../admin/products.db&neSKUdatarq=Find_All&asTITLEsort=1]
  [Founditems]
    <option value="[sku]" [Showif [sku]=[SL_sku]]selected[/Showif]>([sku]) [title]</option>
  [/Founditems]
  [/Search]
  </select>
  </td>
</tr>



<tr>
  <td>quantity:</td>
  <td><input type="text" name="__SL_quantity" value="[SL_quantity]"></td>
</tr>



<tr>
  <td>price:</td>
  <td><input type="text" name="__SL_price" value="[SL_price]"></td>
</tr>



<tr>
  <td>taxable:</td>
  <td><input type="text" name="__SL_taxable" value="[SL_taxable]"></td>
</tr>



<tr>
  <td>canEmail:</td>
  <td><input type="text" name="__SL_canEmail" value="[SL_canEmail]"></td>
</tr>



<tr>
  <td>unitshipcost:</td>
  <td><input type="text" name="__SL_unitshipcost" value="[SL_unitshipcost]"></td>
</tr>

[!]---------- Begin Options ----------[/!]
[search db=../admin/related.db&eqR_SKUdatarq=[url][sku][/url]&eqR_CTYPEdatarq=O&R_CATEGORYsumm=T&R_CRANKtype=number&asR_CRANKsort=1][founditems]
[lookup db=../admin/categories.db&lookinfield=C_ID&value=[R_CATEGORY]&returnfield=C_NAME]
<select name="__[R_CATEGORY]">
[search db=../admin/related.db&eqR_SKUdatarq=[url][sku][/url]&eqR_CATEGORYdatarq=[R_CATEGORY]&R_RANKtype=number&asR_RANKsort=1][founditems]
<option value="[R_ID]">[R_NAME] [ShowIf ![R_OVR_PRICE]] [CURRENCY][R_OVR_PRICE][/ShowIf]
[/founditems][/search]
</select><br>
[/founditems][/search]
[!]---------- end Options ----------[/!]

<tr>
  <td>Options:</td>
  <td>[search db=../admin/related.db&eqR_SKUdatarq=[url][SL_sku][/url]&eqR_CTYPEdatarq=O&R_CATEGORYsumm=T&R_CRANKtype=number&asR_CRANKsort=1][founditems]
[lookup db=../admin/categories.db&lookinfield=C_ID&value=[R_CATEGORY]&returnfield=C_NAME]
<select name="__[R_CATEGORY]">
[search db=../admin/related.db&eqR_SKUdatarq=[url][SL_sku][/url]&eqR_CATEGORYdatarq=[R_CATEGORY]&R_RANKtype=number&asR_RANKsort=1][founditems]
<option value="[R_ID]">[R_NAME] [ShowIf ![R_OVR_PRICE]] [CURRENCY][R_OVR_PRICE][/ShowIf]
[/founditems][/search]
</select><br>
[/founditems][/search]
</td>
</tr>
<tr>
  <td>textA:</td>
  <td><input type="text" name="__SL_textA" value="[SL_textA]"></td>
</tr>
<tr>
  <td>textB:</td>
  <td><input type="text" name="__SL_textB" value="[SL_textB]"></td>
</tr>
<tr>
  <td>textC:</td>
  <td><input type="text" name="__SL_textC" value="[SL_textC]"></td>
</tr>
<tr>
  <td>textD:</td>
  <td><input type="text" name="__SL_textD" value="[SL_textD]"></td>
</tr>
<tr>
  <td>textE:</td>
  <td><input type="text" name="__SL_textE" value="[SL_textE]"></td>
</tr>
<tr>
  <td>textF:</td>
  <td><input type="text" name="__SL_textF" value="[SL_textF]"></td>
</tr>
<tr>
  <td>textG:</td>
  <td><input type="text" name="__SL_textG" value="[SL_textG]"></td>
</tr>
<tr>
  <td>textH:</td>
  <td><input type="text" name="__SL_textH" value="[SL_textH]"></td>
</tr>
<tr>
  <td>textI:</td>
  <td><input type="text" name="__SL_textI" value="[SL_textI]"></td>
</tr>
<tr>
  <td>textJ:</td>
  <td><input type="text" name="__SL_textJ" value="[SL_textJ]"></td>
</tr>
<tr>
  <td>textK:</td>
  <td><input type="text" name="__SL_textK" value="[SL_textK]"></td>
</tr>
<tr>
  <td>textL:</td>
  <td><input type="text" name="__SL_textL" value="[SL_textL]"></td>
</tr>
<tr>
  <td>textM:</td>
  <td><input type="text" name="__SL_textM" value="[SL_textM]"></td>
</tr>
<tr>
  <td>textN:</td>
  <td><input type="text" name="__SL_textN" value="[SL_textN]"></td>
</tr>
<tr>
  <td>textO:</td>
  <td><input type="text" name="__SL_textO" value="[SL_textO]"></td>
</tr>
<tr>
  <td>textP:</td>
  <td><input type="text" name="__SL_textP" value="[SL_textP]"></td>
</tr>
<tr>
  <td>textQ:</td>
  <td><input type="text" name="__SL_textQ" value="[SL_textQ]"></td>
</tr>
<tr>
  <td>textR:</td>
  <td><input type="text" name="__SL_textR" value="[SL_textR]"></td>
</tr>
<tr>
  <td>textS:</td>
  <td><input type="text" name="__SL_textS" value="[SL_textS]"></td>
</tr>
<tr>
  <td>textT:</td>
  <td><input type="text" name="__SL_textT" value="[SL_textT]"></td>
</tr>
<tr>
  <td>textU:</td>
  <td><input type="text" name="__SL_textU" value="[SL_textU]"></td>
</tr>
<tr>
  <td>textV:</td>
  <td><input type="text" name="__SL_textV" value="[SL_textV]"></td>
</tr>
<tr>
  <td>textW:</td>
  <td><input type="text" name="__SL_textW" value="[SL_textW]"></td>
</tr>
<tr>
  <td>textX:</td>
  <td><input type="text" name="__SL_textX" value="[SL_textX]"></td>
</tr>
<tr>
  <td>textY:</td>
  <td><input type="text" name="__SL_textY" value="[SL_textY]"></td>
</tr>
<tr>
  <td>textZ:</td>
  <td><input type="text" name="__SL_textZ" value="[SL_textZ]"></td>
</tr>


<tr>
  <td>&nbsp;</td>
  <td><input type="submit" name="dothis" value="UPDATE"><input type="submit" name="deleteme" value="DELETE"><input type="submit" name="back" value="BACK TO MAIN"></td>
</tr>
</table>
</form>
</td>

</table>

</body></html>