<!--HAS_WEBDNA_TAGS-->
[include file=../header.inc&top=T&page_title=Creating an Array]

<p>
Lets create a three dimensional array of size 2x2x2.
<p>
Here is the code...
[raw]
<b>
<xmp>
[arrayset name=myarray&dim=2,2,2](1,1,1)=aaa&(1,1,2)=aab&(1,2,1)=aba&(1,2,2)=abb[/arrayset]
</xmp>
</b>
[/raw]

This creates an array, called 'myarray', that will persist for the duration of the template.  Note that the 'index=value' pairs within
the [raw][arrayset][/raw] tags are optional when creating a new array.  Array indices can be assigned at any time.
<p>
When the <b>'dim'</b> parameter is supplied with the arrayset context, it implies that this will be
a new array object.  subsequent calls to arrayset, using the same variable name (and without
using the 'dim' parameter, implies new index assignments to an existing array object.
<p>
So after we have created the 'myarray' object using the line shown above, we can assign index value at a later time using:
[raw]
<b>
<xmp>
[arrayset name=myarray](2,2,1)=xxx&(2,2,2)=zzz[/arrayset]
</xmp>
</b>
[/raw]

[include file=../header.inc&top=F&page_title=Creating an Array]

