<!--HAS_WEBDNA_TAGS-->
[include file=../header.inc&top=T&page_title=The [raw][ArrayGet][/raw] Context]
<p>
So lets execute the array examples, and use the [raw][ArrayGet][/raw] Context to retrieve some array index values.
<p>
Lets use the following code to create the array...
[raw]
<b>
<xmp>

[arrayset name=myarray&dim=2,2,2]
[loop start=1&end=2]
  [loop start=1&end=2]
    [loop start=1&end=2]
      ([::::index],[::index],[index])=[::::index]-[::index]-[index]&
    [/loop]
  [/loop]
[/loop]
[/arrayset]
</xmp>
</b>
[/raw]
Then use [raw][ArrayGet][/raw] to retrieve several index values...
[raw]
<b>
<xmp>
[arrayget name=myarray]
[loop start=1&end=2]
  [loop start=1&end=2]
    [loop start=1&end=2]
      Index [::::index],[::index],[index] = ([::::index],[::index],[index])<br>
    [/loop]
  [/loop]
[/loop]
[/arrayget]
</xmp>
</b>
[/raw]
[raw][ArrayGet][/raw] takes just one parameter; 'name', in which you place an existing array variable name.  The (a,b,c,d,e) patterns evaluate to
the corresponding index values.  These pasterns can be intermingled with other text, as shown.
<p>
Results...
<hr>
[arrayset name=myarray&dim=2,2,2]
[loop start=1&end=2]
  [loop start=1&end=2]
    [loop start=1&end=2]
      ([::::index],[::index],[index])=[::::index]-[::index]-[index]&
    [/loop]
  [/loop]
[/loop]
[/arrayset]

[arrayget name=myarray]
[loop start=1&end=2]
  [loop start=1&end=2]
    [loop start=1&end=2]
      Index [::::index],[::index],[index] = ([::::index],[::index],[index])<br>
    [/loop]
  [/loop]
[/loop]
[/arrayget]
<p>
<b>Note the use of nested loops and variable scoping, "::", to quickly set and retrieve the array data.</b>

[include file=../header.inc&top=F&page_title=The [raw][ArrayGet][/raw] Context]
