<!--HAS_WEBDNA_TAGS-->
[include file=../header.inc&top=T&page_title=Introduction]

<h3>Welcome to the FUNCTION Context tutorial!</h3>

This set of templates will explain how to use
the new <b>WebDNA FUNCTION context</b>.  And because these template are a part of the
WebDNA lab, you will be able to experiment while you learn.  This tutorial assumes the user
is familiar with the WebDNA language.
<p>
This new context enables the WebDNA programmer to call a previously defined block of WebDNA code.
<p>
Here is the syntax...<br>
<b>
<xmp>
[raw][function name=...&preparse=T/F]<WebDNA function code>[/function][/raw]
</xmp>
</b>
Parameters...<br>
<b>name</b> - User defined name for the function.  The name if then used like a normal
WebDNA tag.
<br>
<br>
<b>preparse</b> - By default, the WebDNA code that defines the function is stored 'raw' and
executed later when the function is called.  But if you need to programtically create the
function definition using WebDNA, then you can set 'preparse' to 'T'.  This will force
the WebDNA engine to first parse the WebDNA in the function definition
before storing it for later use.

[include file=../header.inc&top=F&page_title=Introduction]
