<!--HAS_WEBDNA_TAGS-->
[include file=../header.inc&top=T&page_title=WebDNA Changes]
<p>
Here is a list of WebDNA Tags and Contexts whose behavior is altered when 
used inside a WebDNA Sandbox...
<p>

[raw]
<pre>
[appendfile]
[writefile]
[renamefile]
[deletefile]
[movefile]
[copyfile]
[fileinfo]
[listfiles]
[waitforfile]
[copyfolder]
[createfolder]
[deletefolder]
--------------
These contexts can only operate on files and or folders 
that exist within the Sandbox root folder, or the sandbox 
'globals' folder when the '^' prefix is used.


[orderfile]
[purchase]
[removelineitem]
[clearlineitem]
[setlineitems]
[setheader]
-------------
These operations can only operate on a cart or files that 
exists within the sandbox root, or the sandbox 
'globals' folder when the '^' prefix is used.


[flushdatabases]
----------------
Will only flush the databases that exists within the sandbox 
root or globals folder.


[commitdatabase]
[listdatabases]
[closedatabase]
[listfields]
[search]
[lookup]
[replace]
[append]
[delete]
---------------
These contexts will only operate on database files that 
exist within the sandbox root or globals folder.


[protect <groups>]
------------------
Uses the 'local' sandbox 'users.db' file


[date]
[time]
------
Both these tags use the 'format' preferences in the 
local sandbox prefs file


[include]
------------------
Can only include a file that exists within the sandbox root or globals folder


[sendmail]
--------------
Uses the local sandbox email settings. Resulting email files are 
written to the sandbox 'EmailFolder'.


[object]
[dos]
[applescript]
-------------
These contexts require special handling, discussed later.


[convertchars]
----------------
Uses the local sandbox 'StandardConversions.db' file. If a database is
specified, it must exist within the sandbox root or globals folder.


[convertwords]
Can only be used with a database that exists within the sandbox root
or globals folder.
</pre>
[/raw]

[include file=../header.inc&top=F&page_title=WebDNA Changes]

