<!--HAS_WEBDNA_TAGS-->
[include file=../header.inc&top=T&page_title=Page 5]
<p>
Even if the explicit results of a function call are not significant, for example,
when the function assigns the result to some global text variable.  It is still a good
idea to use the [raw][Return][/raw] context in order to cut down on the amount
of white space that my be returned to the client browser.
<p>
For example:
[raw]
<xmp>
[function name=add_em_up]
[text]result=0[/text]
[loop start=1&end=10]
[text]result=[math][result]+[index][/math][/text]
[/loop]
[text scope=global]result=[result][/text]
[return][/return] [!] return nothing [/!]
[/function]

[add_em_up]
result="[result]"
</xmp>
[/raw]
Executing the above code, we get:
<hr>
[function name=add_em_up]
[text]result=0[/text]
[loop start=1&end=10]
[text]result=[math][result]+[index][/math][/text]
[/loop]
[text scope=global]result=[result][/text]
[return][/return] [!] return nothing [/!]
[/function]

[add_em_up]
result="[result]"

<p>
[include file=../header.inc&top=F&page_title=Page 5]

