<!--HAS_WEBDNA_TAGS-->
[include file=../header.inc&top=T&page_title=Verify Database]
<p>
<script>
var CURRENT_STEP = 0;
var RDBMS = '';
var selRdoId = '';

function isSupported(rdbms)
{
	if (rdbms == 'mySQL')
		return true;

	if (rdbms == 'MS SQL')
		return false;

	if (rdbms == 'Oracle')
		return false;
}

function getObjById(sID, oBaseContainer)
{
	var theObj = null;

	if (document.getElementById)
		theObj = (oBaseContainer!=null && typeof(oBaseContainer)!="undefined" ? oBaseContainer.getElementById(sID) : document.getElementById(sID));
	else if (document.all)
		theObj = (document.all[sID]);

	return theObj;
}

function supportCheck(rdbms)
{
	if (isSupported(rdbms))
		return true;
	else
	{
		alert('Native support for the '+rdbms+' RDBMS has not yet been implemented.\n\nSupport will be added in a future release.');

		return false;
	}
}

function setState(iStep)
{
	switch (iStep)
	{//Step-specific actions here
	case 1:
		var selRdo = null;

		selRdo = getObjById('rdo_mySQL');
		if (!selRdo.checked)
			selRdo = getObjById('rdo_MSSQL');
		if (!selRdo.checked)
			selRdo = getObjById('rdo_Oracle');

		if (selRdo == null)
			return false;

		window.RDBMS = selRdo.value;
		var oldSelRdo = window.selRdoId;
		window.selRdoId = selRdo.id;
		if (!supportCheck(window.RDBMS))
		{
			window.selRdoId = oldSelRdo;
			if (window.selRdoId != '')
			{
				var prevRdo = getObjById(window.selRdoId);
				prevRdo.checked = true;
			}
			return false;
		}

		if (window.selRdoId != oldSelRdo)
			resetFieldVals(1);

		break;

	case 2:

		break;
	}

	CURRENT_STEP = iStep;

	activateDivs(iStep);

	return true;
}

function activateDivs(iStep)
{
	switch (iStep)
	{
	case 1:
		setDivVisibility('div_host', 'visible');
		//hide all other divs below the one made visible above

		break;
	case 2:
		setDivVisibility('div_host', 'visible');
		//hide all other divs below the one made visible above

		break;
	}
}

function setDivVisibility(sID, sVisibility)
{
	var theDiv = getObjById(sID);
	theDiv.style.visibility = sVisibility;
}

function resetFieldVals(iStep)
{
	switch (iStep)
	{
	case 1:
		var txtHost = getObjById('host');
		var txtPort = getObjById('port');

		//txtHost.value = '';
		//txtPort.value = '';

		break;

	default:

		break;
	}
}

function iFrameContent(sContent)
{
	return '<html><body>'+sContent+'</body></html>';
}

function iFrameSource(sSourceCode)
{
	return sSourceCode;
}

function testConnection()
{
	var div = getObjById('div_connInfo');
	var ifr = getObjById('ifr_connInfo');
	var objHost = getObjById('txthost');
	var theHost = objHost.value;
	var objPort = getObjById('txtport');
	var thePort = objPort.value;
	var objUser = getObjById('txtuser');
	var theUser = objUser.value;
	var objPwd = getObjById('txtpwd');
	var thePwd = objPwd.value;

	div.style.visibility = "visible";
	ifr.style.visibility = "visible";
	ifr.src = "testConn.tpl?sqlHost="+theHost+(thePort != "" ? "&sqlPort="+thePort : "")+(theUser != "" ? "&sqlUser="+theUser : "")+(thePwd != "" ? "&sqlPwd="+thePwd : "");	[!]NO!!! Cannot pass userID/pwd combo in the querystring.  This info should be encrypted first.[/!]
}

function testConnection_Success(bSuccessful)
{
	var div = getObjById('div_connInfo');
	var ifr = getObjById('ifr_connInfo');
	var theDiv = getObjById('div_useHost');

	if (bSuccessful)
	{
		theDiv.style.visibility = "visible";
		var useHostBtn = getObjById('btnUseHost');
		//useHostBtn.scrollIntoView();
		if (div.scrollIntoView)
			div.scrollIntoView();
		//else
		//	this.location="#_CONNINFO";
	}
	else
		theDiv.style.visibility = "hidden";
}

function useHost()
{
	var objSelHost = getObjById('txtselHost');
	var objHost = getObjById('txthost');
	objSelHost.value = objHost.value;
	var objSelPort = getObjById('txtselPort');
	var objPort = getObjById('txtport');
	objSelPort.value = (objPort.value > 0 ? objPort.value : '<not specified>');
	var objSelUser = getObjById('txtselUser');
	var objUser = getObjById('txtuser');
	objSelUser.value = (objUser.value.length > 0 ? objUser.value : '<not specified>');
	var objSelPwd = getObjById('txtselPwd');
	var objPwd = getObjById('txtpwd');
	objSelPwd.value = (objPwd.value.length > 0 ? objPwd.value : '<not specified>');
	var objVerDBText = getObjById('div_verifyDBText');
	objVerDBText.style.visibility = "visible";
	var objSelHostLbl = getObjById('selHostLbl');
	objSelHostLbl.style.color = "blue";
	//objSelHostLbl.scrollIntoView();
	if (objVerDBText.scrollIntoView)
		objVerDBText.scrollIntoView();
	//else
	//	this.location="#VERDBTEXT";
	//var objVerDBBtn = getObjById('div_verifyDB');
	//objVerDBBtn.style.visibility = "visible";
}

function verifyDB()
{
	var div = getObjById('div_dbInfo');
	var ifr = getObjById('ifr_dbInfo');
	var objSelHost = getObjById('txtselHost');
	var theHost = objSelHost.value;
	var objSelPort = getObjById('txtselPort');
	var thePort = (objSelPort.value == '<not specified>' ? '' : objSelPort.value);
	var objSelUser = getObjById('txtselUser');
	var theUser = (objSelUser.value == '<not specified>' ? '' : objSelUser.value);
	var objSelPwd = getObjById('txtselPwd');
	var thePwd = (objSelPwd.value == '<not specified>' ? '' : objSelPwd.value);

	//alert('The tutorial will now attempt to verify that the "SMSITest" database has been installed on host "'+theHost+'".\n\nAfter clicking OK, please wait until you receive the results in order to continue.');

	div.style.visibility = "visible";
	ifr.style.visibility = "visible";
	ifr.src = "verifyDB.tpl?sqlHost="+theHost+(thePort != "" ? "&sqlPort="+thePort : "")+(theUser != "" ? "&sqlUser="+theUser : "")+(thePwd != "" ? "&sqlPwd="+thePwd : "");	[!]NO!!! Cannot pass userID/pwd combo in the querystring.  This info should be encrypted first.[/!]

	//var objVerDBText = getObjById('div_verifyDBText');
	//objVerDBText.style.visibility = "hidden";
}

function verifyDB_Success(bSuccess)
{
	var objSelHost = getObjById('txtselHost');
	var theHost = objSelHost.value;
	var objSelPort = getObjById('txtselPort');
	var thePort = (objSelPort.value == '<not specified>' ? '' : objSelPort.value);
	var objSelUser = getObjById('txtselUser');
	var theUser = (objSelUser.value == '<not specified>' ? '' : objSelUser.value);
	var objSelPwd = getObjById('txtselPwd');
	var thePwd = (objSelPwd.value == '<not specified>' ? '' : objSelPwd.value);
	var div = getObjById('div_InformDBUse');
	var ifr = getObjById('ifr_setConnInfo');

	if (bSuccess)
	{
		div.style.visibility = "visible";
		ifr.src = "setConnInfo.tpl?sqlType="+window.RDBMS+"&sqlHost="+theHost+"&sqlPort="+thePort+"&sqlUser="+theUser+"&sqlPwd="+thePwd;	[!]NO!!! Cannot pass userID/pwd combo in the querystring.  This info should be encrypted first.[/!]
		alert('Congratulations!\n\nThe "SMSITest" database exists and its data has been verified on host "'+theHost+'".  You may proceed with the rest of the tutorial.');
	}
	else
	{
		div.style.visibility = "hidden";
		if (confirm('The tutorial could not successfully verify that the "SMSITest" database has been properly installed on host "'+objSelHost.value+'"!\n\nWould you like the tutorial to attempt to create this database for you on host "'+objSelHost.value+'"?'))
			createDB();
		else
			alert('The tutorial cannot continue until it can connect to a valid "SMSITest" database.');
	}
}

function createDB()
{
	var div = getObjById('div_dbInfo');
	var ifr = getObjById('ifr_dbInfo');
	var objSelHost = getObjById('txtselHost');
	var theHost = objSelHost.value;
	var objSelPort = getObjById('txtselPort');
	var thePort = (objSelPort.value == '<not specified>' ? '' : objSelPort.value);
	var objSelUser = getObjById('txtselUser');
	var theUser = (objSelUser.value == '<not specified>' ? '' : objSelUser.value);
	var objSelPwd = getObjById('txtselPwd');
	var thePwd = (objSelPwd.value == '<not specified>' ? '' : objSelPwd.value);

	div.style.visibility = "visible";
	ifr.style.visibility = "visible";
	ifr.src = "createDB.tpl?sqlHost="+theHost+(thePort != "" ? "&sqlPort="+thePort : "")+(theUser != "" ? "&sqlUser="+theUser : "")+(thePwd != "" ? "&sqlPwd="+thePwd : "");	[!]NO!!! Cannot pass userID/pwd combo in the querystring.  This info should be encrypted first.[/!]
}

function createDB_Success(bSuccess)
{
	var objSelHost = getObjById('txtselHost');
	var theHost = objSelHost.value;
	var objSelPort = getObjById('txtselPort');
	var thePort = (objSelPort.value == '<not specified>' ? '' : objSelPort.value);
	var objSelUser = getObjById('txtselUser');
	var theUser = (objSelUser.value == '<not specified>' ? '' : objSelUser.value);
	var objSelPwd = getObjById('txtselPwd');
	var thePwd = (objSelPwd.value == '<not specified>' ? '' : objSelPwd.value);
	var ifr = getObjById('ifr_setConnInfo');

	if (bSuccess)
	{
		ifr.src = "setConnInfo.tpl?sqlType="+window.RDBMS+"&sqlHost="+theHost+"&sqlPort="+thePort+"&sqlUser="+theUser+"&sqlPwd="+thePwd;	[!]NO!!! Cannot pass userID/pwd combo in the querystring.  This info should be encrypted first.[/!]
		alert('Congratulations!\n\nThe "SMSITest" database has been successfully installed on host "'+theHost+'".  You may proceed with the rest of the tutorial.');
	}
	else
	{
		alert('The tutorial encountered errors while attempting to install the "SMSITest" database on host "'+theHost+'"  Please view the results window for error details.\n\nThe tutorial cannot continue until it can connect to the "SMSITest" datbase.');
	}
}
</script>
[text multi=T]host=&port=&user=&pwd=[/text]
[text]ignore=
[Search db=connInfo.db&eqIDdata=1]
[FoundItems]
[text multi=T]host=[dbhost]&port=[dbport]&user=[dbuser]&pwd=[dbpwd][/text]
[/FoundItems]
[/Search]
[/text]

In order to begin the tutorial, we will first attempt to establish a connection to your
(specified) database server*.  We will then check for the existence of a specific test database
and install one if one cannot be found.<br>
<br>
<font style="font-size: smaller;">* <i>Please check with your database administrator if you do not know the location (IP address or host name) of your database server.</i></font><br>
<br>
To what type of database server do you wish to connect?<br>
<table cellpadding="0" cellspacing="0" border="0">
	<tr><td>&nbsp;&nbsp;</td><td><input type="radio" id="rdo_mySQL" name="srvrType" value="mySQL" onClick="return setState(1);"></td><td>&nbsp;</td><td>mySQL</td></tr>
	<tr><td>&nbsp;&nbsp;</td><td><input type="radio" id="rdo_MSSQL" name="srvrType" value="MS SQL" onClick="return setState(1);"></td><td>&nbsp;</td><td>MS SQL</td></tr>
	<tr><td>&nbsp;&nbsp;</td><td><input type="radio" id="rdo_Oracle" name="srvrType" value="Oracle" onClick="return setState(1);"></td><td>&nbsp;</td><td>Oracle</td></tr>
</table>
<p>
<div id="div_host" style="visibility: hidden;">
	<table border="0" cellpadding="0" cellspacing="0">
		<tr><td>Host:</td><td><input id="txthost" name="host" type="text" value="[host]"></td><td>&nbsp;&nbsp;<td><td>&nbsp;</td></tr>
		<tr><td>Port:</td><td><input id="txtport" name="port" type="text" value="[port]">*</td><td>&nbsp;&nbsp;<td>&nbsp;</td></tr>
		<tr><td>User ID:</td><td><input id="txtuser" name="user" type="text" value="[user]">*</td><td>&nbsp;&nbsp;<td>&nbsp;</td></tr>
		<tr><td>Password:</td><td><input id="txtpwd" name="pwd" type="password" value="[pwd]">*</td><td>&nbsp;&nbsp;<td><input type="button" name="btnConnect" value="Test Connect" onClick="testConnection();"></td></tr>
		<tr><td colspan="4">* <font style="font-size: smaller;">these field values are optional and should <i>only</i> be provided if you know that your database server requires them</font></td></tr>
		<tr>
			<td colspan="4">
				<div id="div_connInfo" style="visibility: hidden;" width="100%">
					RESULTS:
					<iframe id="ifr_connInfo" border="0" frameborder="0" width="100%" style="visibility: hidden;" src="javascript:parent.iFrameContent('');">
					</iframe>
				</div>
			</td>
		</tr>
		<tr><td colspan="4">&nbsp;</td></tr>
		<tr><td colspan="4" align="right"><div id="div_useHost" style="visibility: hidden;"><input type="button" id="btnUseHost" value="Use this Host" onClick="useHost();"></div></td></tr>
	</table>
</div>
<br><a name="_CONNINFO"></a>
After you verify and select the server to use, the tutorial must verify that the "SMSITest" database
exists.
<br><br>
<div id="div_verifyDBText" style="visibility: hidden;">
	<font style="color: blue; text-decoration: blink;">
	Click the "Verify DB" button below to check for the existence of the "SMSITest" database.
	If it is not found, this tutorial can create/install the database for you.  However,
	the tutorial cannot properly continue until a valid "SMSITest" database has been located.
	</font>
<br>
<table border="0" cellpadding="0" cellspacing="0">
	<tr><td colspan="4" nowrap align="left"><font id="selHostLbl" style="color: red;">SELECTED CONNECTION INFO</font>:</td><td>&nbsp;</td></tr>
	<tr><td nowrap>Host:</td><td>&nbsp;</td><td><input type="text" id="txtselHost" value="<not specified>" disabled></td><td colspan="2">&nbsp;</td></tr>
	<tr><td nowrap>Port:</td><td>&nbsp;</td><td><input type="text" id="txtselPort" value="<not specified>" disabled></td><td colspan="2">&nbsp;</td></tr>
	<tr><td nowrap>User:</td><td>&nbsp;</td><td><input type="text" id="txtselUser" value="<not specified>" disabled></td><td colspan="2">&nbsp;<input type="hidden" id="txtselPwd" value="<not specified>"></td></tr>
	<tr><a name="VERDBTEXT"></a><td colspan="4">&nbsp;</td><td align="right"><input type="button" value="Verify DB" onClick="verifyDB();"></td></tr>
	<tr><td colspan="5">&nbsp;</td></tr>
	<tr>
		<td colspan="5">
			<div id="div_dbInfo" style="visibility: hidden;" width="100%">
				RESULTS:
				<iframe id="ifr_dbInfo" border="0" frameborder="0" width="100%" style="visibility: hidden;" src="javascript:parent.iFrameContent('');">
				</iframe>
			</div>
		</td>
	</tr>
	<tr>
		<td>&nbsp;</td>
	</tr>
	<tr>
		<td colspan="5">
			<div id="div_InformDBUse" style="visibility: hidden;" width="100%">
				NOTE:<br>This connection (host/port/user) info will be used for the rest of the tutorial.  If you wish to switch hosts, you must start over at the top of this page to verify the "SMSITest" database on a different host.
				<iframe id="ifr_setConnInfo" border="0" frameborder="0" width="100%" style="visibility: hidden;" src="javascript:parent.iFrameContent('');">
				</iframe>
			</div>
		</td>
	</tr>
</table>
</div>
[include file=../header.inc&top=F&page_title=Verify Database]
