<!--HAS_WEBDNA_TAGS-->
[include file=../header.inc&top=T&page_title=SQLResult - 'ListFields' context]
[include file=javascript.inc&source=example4.inc]
<p>
In the previous example, we constructed the results table using explicit references to the 
result field names.  It may sometimes be the case when you will not know all or any
of the field names returned in a record set.
<p>
Executing 'Select * from mytable' will pull all field values into the record set, but will 
you *know* what those field names are?  If not, you can use the <b>[raw][ListFields][/raw]</b>
context to iterate the field names of a result set.
<p>
You do not need to provide any parameter values to the <b>[raw][ListFields][/raw]</b>context
when it is used from within a <b>[raw][SQLResult][/raw]</b> context.  Of course, you can still
supply the db= parameter to <b>[raw][ListFields][/raw]</b> if you want to itereate the field names
of a WebDNA database.
<p>
For example, click "Go" to execute the following:
<div id="div_exSQLResult_Source" style="visibility: visible;" width="100%">
	<table cellpadding="0" cellspacing="0" border="0" width="100%">
		<tr><td><iframe id="ifr_exSQLResult_Source" border="0" frameborder="0" width="100%" height="375" style="visibility: visible;" src="display_source.tpl?source=example4.inc"></iframe></td></tr>
		<tr><td>&nbsp;</td></tr>
		<tr><td align="right"><input type="button" value="Go" onClick="exSQLExecute();"></td></tr>
	</table>
</div>
<br>
<br>
<div id="div_exSQLExecute" style="visibility: hidden;" width="100%">
	<table cellpadding="0" cellspacing="0" border="0" width="100%">
		<tr><a name="result"></a><td>RESULT:</td></tr>
		<tr><td><iframe id="ifr_exSQLExecute" border="0" frameborder="0" width="100%" style="visibility: hidden;" src=""></iframe></td>
	</table>
</div><br>
<br>

<div id="div_SQLResultDoc" style="visibility: hidden;"">
Again, you should see a total of 15 records listed above.  However, in this case, the table of 
records was generated without using any explicit fieldname tags.  Note how the <b>[raw][Interpret][/raw]</b> context
was used to grab the field values.
<p>
The <b>[raw][ListFields][/raw]</b> context can also be used outside of
a <b>[raw][SQLResult][/raw]</b> context, to display the fields of a particular database table.  This is discussed in more detail later in this tutorial.
</div>
<p>
[include file=../header.inc&top=F&page_title=SQLResult]