<!--HAS_WEBDNA_TAGS-->
[include file=../header.inc&top=T&page_title=SQLResult - 'Iterate' mode and [raw][Seek][/raw] for [raw][FoundItems][/raw]]
[include file=javascript.inc&source=example7.inc]
<p>
New <b> 'iterate' </b> parameter for <b>[raw][FoundItems][/raw]</b> context.
<p>
Possible values:<br>
<b>Manual</b> - Sets the [raw][FoundItems][/raw] context to 'manual' mode.  The new <b>[raw][Seek][/raw]</b> tag
must then be used to 'move' the record set cursor.  The cursor is always initialized to the first record
position.
<br>
<b>Auto</b> - [raw][FoundItems][/raw] reverts to default behavior, iterating the record set 
one record at a time, starting from the first item, and ending with the last item.
<p>
In setting the 'iterate' parameter to 'manual', the [raw][FoundItems][/raw] context behaves more like a 
collection.  The WebDNA programmer can retrieve the found records in any manner they wish.
<p>
For example, click "Go" to execute the following:
<div id="div_exSQLResult_Source" style="visibility: visible;" width="100%">
	<table cellpadding="0" cellspacing="0" border="0" width="100%">
		<tr><td><iframe id="ifr_exSQLResult_Source" border="0" frameborder="0" width="100%" height="375" style="visibility: visible;" src="display_source.tpl?source=example7.inc"></iframe></td></tr>
		<tr><td>&nbsp;</td></tr>
		<tr><td align="right"><input type="button" value="Go" onClick="exSQLExecute();"></td></tr>
	</table>
</div>
<br>
<br>
<div id="div_exSQLExecute" style="visibility: hidden;" width="100%">
	<table cellpadding="0" cellspacing="0" border="0" width="100%">
		<tr><a name="result"></a><td>RESULT:</td></tr>
		<tr><td><iframe id="ifr_exSQLExecute" border="0" frameborder="0" width="100%" style="visibility: hidden;" src=""></iframe></td>
	</table>
</div><br>
<br>

<div id="div_SQLResultDoc" style="visibility: hidden;"">
Notice that only one record was displayed.  Since the [raw][seek][/raw] tag was not used to 
reposition the cursor, so the first record was displayed, and the [raw][founditems][/raw] context 
exited.  Now lets make use of the new <b>[raw][Seek][/raw]</b> tag.
</div>
<br>
<p>
[include file=../header.inc&top=F&page_title=SQLResult]