<!--HAS_WEBDNA_TAGS-->
[include file=../header.inc&top=T&page_title=Scope and Functions]
<p>
WebDNA functions have their own implied scope.  Meaning that when you create variables inside of a function definition, the 
variables are local to that function.  The 'name' of the variable space in the function, is the function name itself.
<p>
For example...
<b>
[raw]
<xmp>
[function name=test_function]
[loop start=1&end=10]
[text]local_[index]=[index][/text]
[/loop]
[listvariables scope=test_function][name]=[value]<br>[/listvariables]
[/function]

[test_function]
</xmp>
[/raw]
</b>
<p>
Results...
<hr>
[function name=test_function]
[loop start=1&end=10]
[text]local_[index]=[index][/text]
[/loop]
[listvariables scope=test_function][name]=[value]<br>[/listvariables]
[/function]

[test_function]
<hr>

[include file=../header.inc&top=F&page_title=Scope and Functions]