<!--HAS_WEBDNA_TAGS-->
[include file=../header.inc&top=T&page_title=New Page 2]
<p>
<h3>The Pre-Parse Script</h3>
The pre-parse script is an ideal place to put 'global' function or variable definitions.  It is also a great place to put HTML comment blocks that
should appear at the top of WebDNA page results.  When combined with a WebDNA Sandbox, this level of functionality can be considered
as 'application' level functionality, as each WebDNA Sandbox will use a separate set of pre-parse and post-parse scripts.<p>
Here is an example of a pre-parse script you could use to initialize a series of function definitions.  In this example the 
function definitions exist as separate include files in a sub-folder called, 'FunctionDefs'.
<p>
Contents of the 'PreParseScript' file...
[raw]
<pre>
[!] An example Pre-Parse Script that loads function definitions [/!]
[!] 
  Include My Function Definitions.
[/!]

[text]results=
[listfiles path=^FunctionDefs]
[showif [isfile]=T]
[include ^FunctionDefs/[filename]]
[/showif]
[/listfiles]
[/text]

</pre>
[/raw]
If this example pre-parse script was 'live', then every WebDNA page request would have access to any function definitions that were processed as a result of the script execution.

[include file=../header.inc&top=F&page_title=New Page 2]