<!--HAS_WEBDNA_TAGS-->
[include file=../header.inc&top=T&main_title=XML Contexts&page_title=Introduction]

<h3>Welcome to the XML Contexts tutorial!</h3>

This set of templates will explain how to use
the new <b>WebDNA XML contexts</b>.  And because these template are a part of the
WebDNA lab, you will be able to experiment while you learn.  This tutorial assumes the user
is familiar with the WebDNA language.
<p>
These new contexts enable the WebDNA programmer to input XML data into a WebDNA variable,
after which any part of the XML structure can be readily examined using the new WebDNA XML contexts..
<h3>[raw][XMLParse][/raw]</h3>
Before you can use any other XML parsing context, the XML file must first be parsed and
stored into an WebDNA XML object variable.  This is accomplished using the [raw]<b>[xmlparse]</b>[/raw]
context.
<p>
Here is the syntax...<br>
<b>
<xmp>
[raw][xmlparse var=...&source=...]<optional inline xml content>{/xmlparse][/raw]
</xmp>
</b>
Parameters...<br>
<b>var</b> - The variable name you specify to represent the XML parsed object.<br>
<br>
<b>source</b> - A URL reference to an external XML file.  If 'source' is provided, the content
between the [raw][xmlparse...] and [/xmlparse][/raw] tags is ignored.

[include file=../header.inc&top=F&main_title=XML Contexts&page_title=Introduction]
