<!--HAS_WEBDNA_TAGS-->
[include file=../header.inc&top=T&main_title=XML Contexts&page_title=XMLNodeAttributes II]

Lets use the [raw]<b>[XMLNodeAttributes]</b>[/raw] context to retrieve the attributes of the 
first CD node....
<p>

Click <a href="javascript:opener.focus();opener.main.LoadFile1('../../../source.tpl', 'user_files/tutorials/XML_Contexts/example1.xml');">here</a> 
to review the source xml file.
<p>

Code used...
[raw]
<b>
<xmp>
[xmlparse var=xml_var1][include file=example1.xml][/xmlparse]

Attributes for the 'CD' node:
<xmp>
[xmlnode ref=xml_var1&path=indexed:1/1]
[content]
[/xmlnode]
Are...
<p>
[xmlnodeattributes ref=xml_var1&path=indexed:1/1]
[name]=[value]<br>
[/xmlnodeattributes]
</xmp>
</b>
[/raw]

<p>
Results...
<hr>
[xmlparse var=xml_var1][include file=example1.xml][/xmlparse]

Attributes for the 'CD' node:
<xmp>
[xmlnode ref=xml_var1&path=indexed:1/1]
[content]
[/xmlnode]
</xmp>
Are...
<p>
[xmlnodeattributes ref=xml_var1&path=indexed:1/1]
[name]=[value]<br>
[/xmlnodeattributes]
<hr>
<p>
To simplify the code, we could place the [raw]<b>[XmlNodeAttributes]</b>[/raw] context 'inside'
of the [raw]<b>[XMLNode]</b>[/raw] context.  In this case, we will not need to supply the 'path' or 'ref'
parameters to [raw]<b>[XmlNodeAttributes]</b>[/raw], since it will use the 'implied' XML node in the outer [raw]<b>[XMLNode]</b>[/raw] context.
<p>
We use...
[raw]
<b>
<xmp>
[xmlparse var=xml_var1][include file=example1.xml][/xmlparse]

Attributes for the 'CD' node:
[xmlnode ref=xml_var1&path=indexed:1/1]
[content]
Are...
<p>
[xmlnodeattributes]
[name]=[value]<br>
[/xmlnodeattributes]
[/xmlnode]
</xmp>
</b>
[/raw]

<p>
Results...
<hr>
[xmlparse var=xml_var1][include file=example1.xml][/xmlparse]

Attributes for the 'CD' node:
<xmp>
[xmlnode ref=xml_var1&path=indexed:1/1]
[content]
</xmp>
Are...
<p>
[xmlnodeattributes]
[name]=[value]<br>
[/xmlnodeattributes]
[/xmlnode]

[include file=../header.inc&top=F&main_title=XML Contexts&page_title=XMLNodeAttributes II]