<!--HAS_WEBDNA_TAGS-->
[include file=../header.inc&top=T&main_title=XML Contexts&page_title=XMLParse]

Lets have a look at the first XML source file that we will use in this tutorial.
Click <a href="javascript:opener.focus();opener.main.LoadFile1('../../../source.tpl', 'user_files/tutorials/XML_Contexts/example1.xml');">here</a>
to view the sample xml file in the source window.  As you can see, this is an XML representation of a collection of music CDs.
<p>
Now lets parse this file into a WebDNA variable called 'xml_var1'...
<p>
We use the following code...
<b>
<xmp>
[raw][xmlparse var=xml_var1][include file=example1.xml][/xmlparse][/raw]</b>
</xmp>
</b>
Note that the [raw]<b>[include]</b>[/raw] tag was used to place the xml file contents between the xmlparse tags.  We could just as easily
'pasted' the xml contents there as well.  
<p>
Internally, the WebDNA engine 'saves' this parsed instance as an internal variable named 'xml_var1'.
This saved instance can then be referenced in the other WebDNA XML contexts.
<p>
Results...
<hr>
[xmlparse var=xml_var1][include file=example1.xml][/xmlparse]
<hr>
It the parse succeeded, you should not see any error messages between the two lines
shown above.

[include file=../header.inc&top=F&main_title=XML Contexts&page_title=XMLParse]
