<!--HAS_WEBDNA_TAGS-->
[include file=../header.inc&top=T&main_title=XML Contexts&page_title=XMLNode I]

Lets move on to the <b>[raw][XMLNode][/raw]</b> context.
<p>  
Syntax...
<b>[raw]<xmp>[xmlnode ref=...&var=...&path=...]<...WebDNA...>[/xmlnode]</xmp>[/raw]</b>

Parameters...
<p>
<b>ref</b> - Reference to an xml object variable.  If this parameter is not provided,
then it is assumed that there is an 'outer' [raw][xmlnode/s][/raw] context from which to reference a particular XML node.
<br><br>
<b>var</b> - User defined name for this persisted node instance.  If this parameter is 
not provided, then this node instance will not be persisted
<br><br>
<b>path</b> - Path to the desired XML node.  If an XPath expression is used, it should evaluate to a single node.<br>
<p>
WebDNA Tags available from within an [raw][xmlnode][/raw] context...
<p>
<b>[raw][name][/raw]</b> - The name of the XML node.
<br>
<b>[raw][value][/raw]</b> - The value of the XML node.  Will be
empty if the node is a 'container' node, i.e. contains other XML nodes.
<br>
<b>[raw][content][/raw]</b> - The 'raw' xml content of the node.
<br>
<b>[raw][iscontainer][/raw]</b> - 'T' if the current node contains other XML nodes.
<p>
This context is used to retrieve the contents of the specific node.  The 'path' parameter
is used to locate the node.  As with the [raw][XMLNodes][/raw] context, the 'path' parameter
has three modes; <b>'named:', 'indexed:', and 'xpath:'</b>.  [raw]<b>[XMLNode]</b>[/raw] can also be used 
to persist a 'pointer' to a specific node.  This reference can then be used in subsequent calls 
to other XML contexts.

[include file=../header.inc&top=F&main_title=XML Contexts&page_title=XMLNode I]