[xmlparse var=xml_var1][include file=example1.xml][/xmlparse]

<h3>Example 1</h3>
[xmlnodes ref=xml_var1&path=named:CATALOG/CD(1)]
[name]=[value]-[index]-[iscontainer]<br>
[/xmlnodes]

<h3>Example 2</h3>
[xmlnodes ref=xml_var1&path=named:CATALOG]
[hideif [index]>2]
<xmp>[content]</xmp>
----------------------
[/hideif]
[/xmlnodes]

<h3>Example 3</h3>
[xmlnodes ref=xml_var1&path=indexed:1/5]
[name]=[value]<br>
[/xmlnodes]

<h3>Example 4</h3>
[!] Note that XPath queries are case sensitive. [/!]
[xmlnodes ref=xml_var1&path=xpath:/CATALOG/CD[2]/*]
[name]=[value]<br>
[/xmlnodes]


<h3>Example 5</h3>

[!] A recursive function to rebuild the original XML file [/!]

[function name=build_xml_tree]
  [xmlnodes [showif [root]=[raw][root][/raw]]ref=[var][/showif]]

  [!] Display the node name and value (if applicable) [/!]
  <nobr>
  [loop start=1&end=[count]]&nbsp;&nbsp;&nbsp;[/loop]
  &lt;[name] [XMLNodeAttributes][name]="[value]" [/XMLNodeAttributes]&gt;[hideif [IsContainer]=T][value]&lt;/[name]&gt;[/hideif]</nobr><br>

  [!] If this is a container node (has children), recurse into the child nodes [/!]
  [showif [IsContainer]=T]
  [build_xml_tree count=[math][count]+1[/math]&root=F]
  [/showif]

  [!] Display the closing node tag after the child nodes have been recursed [/!]
  [showif [IsContainer]=T]
  [loop start=1&end=[count]]&nbsp;&nbsp;&nbsp;[/loop]&lt;/[name]&gt;</nobr><br>
  [/showif]

  [/xmlnodes]
[/function]

[!] Now use the new function [/!]
[build_xml_tree var=xml_var1&count=0]


