<!--HAS_WEBDNA_TAGS-->
[include file=../header.inc&top=T&page_title=Compile XSL]

<p>
Lets compile some XSL source into a WebDNA variable called 'xsl_var1'...
<p>
We use the following code...
<b>
<xmp>
[raw]
[xsl var=xsl_var1]
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template match="/">
  <html>
  <body>
    <h2>My CD Collection</h2>
    <table border="1">
      <tr bgcolor="#9acd32">
        <th>Title</th>
        <th>Artist</th>
      </tr>
      <xsl:for-each select="CATALOG/CD">
      <tr>
        <td><xsl:value-of select="TITLE"/></td>
        <td><xsl:value-of select="ARTIST"/></td>
      </tr>
      </xsl:for-each>
    </table>
  </body>
  </html>
</xsl:template>
</xsl:stylesheet>
[/xsl]
[/raw]
</xmp>
</b>
Internally, the WebDNA engine 'saves' this compiled instance as an internal variable named 'xsl_var1'.
This saved instance can then be referenced when using the XSLT context.
<p>
Results...
<hr>
[xsl var=xsl_var1]
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template match="/">
  <html>
  <body>
    <h2>My CD Collection</h2>
    <table border="1">
      <tr bgcolor="#9acd32">
        <th>Title</th>
        <th>Artist</th>
      </tr>
      <xsl:for-each select="CATALOG/CD">
      <tr>
        <td><xsl:value-of select="TITLE"/></td>
        <td><xsl:value-of select="ARTIST"/></td>
      </tr>
      </xsl:for-each>
    </table>
  </body>
  </html>
</xsl:template>
</xsl:stylesheet>
[/xsl]
<hr>
It the operation succeeded, you should not see any error messages between the two lines
shown above.
<p>
[include file=../header.inc&top=F&page_title=Compile XSL]

