<h2>Example 1</h2>
[xsl var=xsl_var1]
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template match="/">
  <html>
  <body>
    <h2>My CD Collection</h2>
    <table border="1">
      <tr bgcolor="#9acd32">
        <th>Title</th>
        <th>Artist</th>
      </tr>
      <xsl:for-each select="CATALOG/CD">
      <xsl:sort select="ARTIST"/>
      <tr>
        <td><xsl:value-of select="TITLE"/></td>
      	<xsl:choose>
          <xsl:when test="PRICE&gt;'10'">
            <td bgcolor="#ff00ff">
            <xsl:value-of select="ARTIST"/></td>
          </xsl:when>
          <xsl:otherwise>
            <td><xsl:value-of select="ARTIST"/></td>
          </xsl:otherwise>
        </xsl:choose>
      </tr>
      </xsl:for-each>
    </table>
  </body>
  </html>
</xsl:template>
</xsl:stylesheet>
[/xsl]

[xslt xslref=xsl_var1][include file=example1.xml][/xslt]

<h2>Example 2</h2>
[!] build the URL to this lab folder [/!]
[text]host=[listmimeheaders name=HOST&exact=F][value][/listmimeheaders][/text]
[text]path=[url][listpath pathonly=T&path=[thisurl]][name]/[/listpath][/url][/text]

[xslt xslsource=http://[host]/[path]example2.xsl&xmlsource=http://[host]/[path]example1.xml][/xslt]


<h2>Example 3</h2>
[xsl var=xsl_var1]
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template match="/">
<xsl:for-each select="CATALOG/CD">[!]
[/!]%5Breplace db=music.db[url]&[/url]eqTITLEdata=<xsl:value-of select="TITLE"/>[url]&[/url]append=T%5D[!]
[/!]TITLE=<xsl:value-of select="TITLE"/>[url]&[/url][!]
[/!]ARTIST=<xsl:value-of select="ARTIST"/>%5B/replace%5D
</xsl:for-each>
</xsl:template>
</xsl:stylesheet>
[/xsl]

[text]result=[unurl][xslt xslref=xsl_var1][include file=example1.xml][/xslt][/unurl][/text]

The XSLT operation produced the following WebDNA code...
<pre>[result]</pre>

We then use the interpret context to 'parse' WebDNA code.  And use the search context
to confirm that the entries where added.
<p>

[!]clear out the database entries[/!]
[delete db=music.db&neTITLEdata=[blank]]

[interpret]
[result]
[/interpret]

[search db=music.db&neTITLEdata=[blank]]
<br>
Found [numfound] CD entries in the music database.
<hr>
[founditems]
[TITLE] - [ARTIST]<br>
[/founditems]
[/search]

[closedatabase db=music.db]

