[!]    Author: Grant Hulbert, ghulbert@smithmicro.com [/!]
[!] Copyright: 1998-2000, Smith Micro Software, All Rights Reserved [/!]
[!]    Notice: Do not distribute in unencrypted form! [/!]
[text]ErrorLog=[lookup db=WebMerchantPrefs.db&lookInField=preference&value=ErrorLog&returnField=value][/text]
[text]seed=[lookup db=WebMerchantPrefs.db&lookInField=preference&value=CyberCashSecret&returnField=value][/text]
[text]authType=[lookup db=WebMerchantPrefs.db&lookInField=preference&value=CyberCashAuthType&returnField=value][/text]
[text]merchant=[lookup db=WebMerchantPrefs.db&lookInField=preference&value=CyberCashCCID&returnField=value][/text]
[text]host=[lookup db=WebMerchantPrefs.db&lookInField=preference&value=CyberCashHost&returnField=value][/text]
[text]cleanYear=[expYear][/text]
[ShowIf [expYear]>99][text]cleanYear=[math][expYear]-1900[/math][/text][/ShowIf]<br>
[text]cleanYear=[format .2d][GetChars start=1&end=2&from=end][cleanYear][/GetChars][/format][/text]<br>

[!]clear out old values[/!]
[text multi=T]MStatus=&auth-code=&aux-msg=&MErrMsg=&ref-code=&order-id=&avs-code=[/text]<br>

garbage=
[ShowIf [ErrorLog]!]
[AppendFile file=[ErrorLog]&secure=t][today]	[now]	Sending CyberCash Account:************[GetChars start=1&end=4&from=end][ConvertChars db=^WebMerchant/NumbersOnly.db][accountnum][/ConvertChars][/GetChars], Expiredate: [format .2d][expMonth][/format]/[format .2d][cleanYear][/format], Amount: [grandTotal][UnURL]%0D%0A[/UnURL][/AppendFile]
[/ShowIf]

[ShowIf [payMethod]=VO]
	[text]content=[encrypt method=cybercash&seed=[seed]]txn-type=capture&order-id=[SequenceNumber][/encrypt][/text]
	[text]_command=void[/text]
[/ShowIf]

[HideIf [payMethod]=VO]
	[text]content=[encrypt method=cybercash&seed=[seed]]order-id=[cart]&amount=usd [grandTotal]&card-number=[accountNum]&card-name=[name]&card-address=[address1]&card-city=[city]&card-state=[state]&card-zip=[zip]&card-country=[country]&card-exp=[format .2d][expMonth][/format]/[format .2d][cleanYear][/format][/encrypt][/text]
	[text]_command=[authType][/text]
	[ShowIf [payMethod]=BK]
		[text]_command=mauthonly[/text]
	[/ShowIf]
	[ShowIf [payMethod]=SH]
		[text]content=[encrypt method=cybercash&seed=[seed]]order-id=[SequenceNumber]&amount=usd [grandTotal]&card-number=[accountNum]&card-name=[name]&card-address=[address1]&card-city=[city]&card-state=[state]&card-zip=[zip]&card-country=[country]&card-exp=[format .2d][expMonth][/format]/[format .2d][cleanYear][/format][/encrypt][/text]
		[text]_command=postauth[/text]
	[/ShowIf]
[/HideIf]

[WriteFile file=LastCyberCashHit.txt&secure=t]
CyberCash Returned:
[text show=t]returnString=mac[middle startafter=mac&endbefore=%0D][TCPConnect host=[host]][TCPSend]POST /cgi-bin/cr21api.cgi/[_command]/[merchant] HTTP/1.0[UnURL]%0D%0A[/UnURL][!]
[/!]User-Agent: CCMCK-3.2.0.2[UnURL]%0D%0A[/UnURL][!]
[/!]Content-type: application/x-www-form-urlencoded[UnURL]%0D%0A[/UnURL][!]
[/!]Content-length: [CountChars][content][/CountChars][UnURL]%0D%0A[/UnURL][!]
[/!][UnURL]%0D%0A[/UnURL][!]
[/!][content][UnURL]%0D%0A[/UnURL][!]
[/!][/TCPSend][/TCPConnect][/middle][/text]

seed = [seed]

Decrypted TO:
[text show=t]Decrypted_returnString=[Decrypt method=cybercash&seed=[seed]][getchars start=2&end=&from=end][returnString][/getchars][/Decrypt][/text]
[/WriteFile]

[!] ***  If Decrypted result is empty, determin if this is because CyberCash returned no data  *** [/!]
[!] ***  If CyberCash did return data, but the decrypted result is empty, report it.  *** [/!]
[showif [Decrypted_returnString]=]
[showif [returnString]=mac]
[text]MErrMsg=CyberCash returned no data - check your CyberCash settings[/text]
[/showif]
[hideif [returnString]=mac]
[text]MErrMsg=<*** Unable to decrypt responce from CyberCash ***><BR><B>NOTE:</B><BR>CyberCash returned data that could not be decrypted, check your CyberCash key. It is possible that CyberCash approved this transaction.  Check your CyberCash account for the status of this transaction<BR><BR>[/text]
[/hideif]
[/showif]

[text multi=t][Decrypted_returnString][/text]
&m_status=[ShowIf [MStatus]=success]Approved[/ShowIf][HideIf [MStatus]=success][MStatus][/HideIf]&m_AuthNum=[auth-code]&m_Response=[ShowIf [URL][raw][aux-msg][/raw][/URL]=[URL][aux-msg][/URL]][URL][MErrMsg][/URL][/ShowIf][HideIf [URL][raw][aux-msg][/raw][/URL]=[URL][aux-msg][/URL]][aux-msg][/HideIf]&m_BatchNum=&m_RefNum=[ref-code]&m_SequenceNum=[order-id]&m_ItemNum=&m_AddressResponse=[avs-code]&garbage=
