[text]ErrorLog=[lookup db=WebMerchantPrefs.db&lookInField=preference&value=ErrorLog&returnField=value][/text]
[text]Substation=[lookup db=WebMerchantPrefs.db&lookInField=preference&value=CreditCardMerchantID&returnField=value][/text]
[text]ReqDirPath=[lookup db=WebMerchantPrefs.db&lookInField=preference&value=ReqDirPath&returnField=value][/text]
[text]ReqFilePath=[ReqDirPath]\ICVer[format .3d][Substation][/format][/text]
[text]cleanYear=[GetChars start=1&end=2&from=end]00[expYear][/GetChars][/text]
[text]avs-code=?[/text]
garbage=
[ShowIf [ErrorLog]!]
[AppendFile file=[ErrorLog]][today]	[now]	Sending ICVerify Account:************[GetChars start=1&end=4&from=end][ConvertChars db=^WebMerchant/NumbersOnly.db][accountnum][/ConvertChars][/GetChars], Expiredate: [format .2d][expMonth][/format]/[format .2d][cleanYear][/format], Amount: [grandTotal][UnURL]%0D%0A[/UnURL][/AppendFile]
[/ShowIf]

[text]_WaitSucceeded=F[/text]
[DeleteFile fullPath=[ReqFilePath].ans]

[!] Void a transaction [/!]
[ShowIf [payMethod]=VO]
cleanYear: [cleanYear]
[WriteFile fullPath=[ReqFilePath].req]"C2","~[format .4d][Substation][/format]~","Merchandise","[ConvertChars db=^WebMerchant/NumbersOnly.db][accountnum][/ConvertChars]","[format .2d][cleanYear][/format][format .2d][expMonth][/format]","[grandTotal]","[convertchars db=^WebMerchant/zip_clean.db][getchars start=1&end=5][zip][/getchars][/convertchars]","[GetChars start=1&end=20][address1][/GetChars]","[authNumber]"
[/WriteFile]
[!] Sometimes ICVerify can take 5 minutes to finish, so timeout after 5 minutes [/!]
[WaitForFile fullPath=[ReqFilePath].ans&timeout=300]
[!] Pause 1 second waiting for ICVerify to finish writing [/!]
[WaitForFile file=asdf.asdf&timeout=1][/WaitForFile]
[text]_WaitSucceeded=T[/text]
[text]fileContents=[middle startafter="&endbefore="][include fullPath=[ReqFilePath].ans&fromCache=F][/middle][/text]
[ShowIf [fileContents]~Y]
	[text]MStatus=Approved[/text]
[/ShowIf]
[HideIf [fileContents]~Y]
	[text]MStatus=Declined[/text]
[/HideIf]
[text]MAuthNum=[getchars start=2][fileContents][/getchars][/text]
[DeleteFile fullPath=[ReqFilePath].ans]
[/WaitForFile]
[/ShowIf]

[!] Charge a Transaction [/!]
[HideIf [payMethod]=VO]
	[!] C1 is ICVerify's normal authcapture code.  Assume that's what we're doing [/!]
	[text]_command=C1[/text]
	[ShowIf [payMethod]=BK]
		[text]_command=C4[/text]
	[/ShowIf]
	[ShowIf [payMethod]=SH]
		[text]_command=CO[/text]
	[/ShowIf]
[WriteFile fullPath=[ReqFilePath].req]"[_command]","~[format .4d][Substation][/format]~","Merchandise","[ConvertChars db=^WebMerchant/NumbersOnly.db][accountnum][/ConvertChars]","[format .2d][cleanYear][/format][format .2d][expMonth][/format]","[grandTotal]","[convertchars db=^WebMerchant/zip_clean.db][getchars start=1&end=5][zip][/getchars][/convertchars]","[GetChars start=1&end=20][address1][/GetChars]"
[/WriteFile]
[WaitForFile fullPath=[ReqFilePath].ans] [!]&timeout=30[/!]
[WaitForFile file=blahxxx&timeout=1][/WaitForFile]
[text]_WaitSucceeded=T[/text]
[text]fileContents=[middle startafter="&endbefore="][include fullPath=[ReqFilePath].ans&fromCache=F][/middle][/text]
[ShowIf [fileContents]~Y]
	[text]MStatus=Approved[/text]
[/ShowIf]
[HideIf [fileContents]~Y]
	[text]MStatus=Declined[/text]
[/HideIf]
[text]MAuthNum=[getchars start=2][fileContents][/getchars][/text]
[text]avs-code=[getchars start=1&end=1&from=end][fileContents][/getchars][/text]
[DeleteFile fullPath=[ReqFilePath].ans]
[/WaitForFile]
[ShowIf [_WaitSucceeded]!T]
	[SendMail to=[AdminEmail]&subject=[today], [now]: Problem with ICVerify&from=[emailFrom]]Could not get answer file from ICVerify after 120 seconds.  Order# [cart][/SendMail]
	[text]MStatus=Communications Problem[/text]
	[text]fileContents=Timeout Waiting for ICVerify .ANS file[/text]
[/ShowIf]
[/HideIf]
&m_status=[MStatus]&m_AuthNum=[MAuthNum]&m_Response=[URL][fileContents][/URL]&m_BatchNum=&m_RefNum=&m_SequenceNum=&m_ItemNum=&m_AddressResponse=[avs-code]&garbage=
