[text]ErrorLog=[lookup db=WebMerchantPrefs.db&lookInField=preference&value=ErrorLog&returnField=value][/text]
[text]MacAuthName=[lookup db=WebMerchantPrefs.db&lookInField=preference&value=CreditCardApp&returnField=value][/text]
[text]MacAuthMachine=[lookup db=WebMerchantPrefs.db&lookInField=preference&value=MacAuthMachine&returnField=value][/text]
[text]MerchantName=[lookup db=WebMerchantPrefs.db&lookInField=preference&value=CreditCardMerchantID&returnField=value][/text]
[text]cleanYear=[expYear][/text]
[ShowIf [expYear]>99][text]cleanYear=[math][expYear]-1900[/math][/text][/ShowIf]<br>
[text]cleanYear=[format .2d][GetChars start=1&end=2&from=end][cleanYear][/GetChars][/format][/text]<br>
garbage=[text multi=t]desc1=Merchandise&desc2=&desc3=&desc4=[/text]
[math show=f]amount1=[subTotal];amount2=0;amount3=0;amount4=0[/math]

[LineItems]
[math show=f]amount[lineindex]=[price]*[quantity][/math]
[text]desc[lineindex]=[textA][/text]
[ShowIf [URL][textA][/URL]=][text]desc[lineindex]=[sku][/text][/ShowIf]
[ShowIf [lineindex]>4]
[text]desc4=All Remaining Items[/text]
[math show=f]amount4=amount4+[price]*[quantity][/math]
[/ShowIf]
[/LineItems]

[text]customerID=[company][/text]
[ShowIf [URL][customerID][/URL]=][text]customerID=[name][/text][/ShowIf]

[ShowIf [ErrorLog]!]
[AppendFile file=[ErrorLog]][today]	[now]	Sending MacAuthorize Account:************[GetChars start=1&end=4&from=end][ConvertChars db=^WebMerchant/NumbersOnly.db][accountnum][/ConvertChars][/GetChars], Expiredate: [format .2d][expMonth][/format][format .2d][cleanYear][/format], Amount: [grandTotal][UnURL]%0D%0A[/UnURL][/AppendFile]
[/ShowIf]

[AppleScript]
try
tell application "[MacAuthName]"
activate
set authResponse to Pending
with timeout of 60 seconds

set auth to Authorize New Sale With Properties {[unurl]%C2[/unurl][ShowIf [PayMethod]=VO]
TransactionType:Void,SequenceNumber:"[SequenceNumber]",[unurl]%C2[/unurl][/ShowIf][ShowIf [PayMethod]=BK]
TransactionType:AuthorizeOnly,[unurl]%C2[/unurl][/ShowIf][ShowIf [PayMethod]=SH]
TransactionType:PostAuthorization,[unurl]%C2[/unurl][/ShowIf]
Account:"[ConvertChars db=^WebMerchant/NumbersOnly.db][accountnum][/ConvertChars]",[unurl]%C2[/unurl]
Expiredate:"[format .2d][expMonth][/format][format .2d][cleanYear][/format]",[unurl]%C2[/unurl]
Amount:[grandtotal],[unurl]%C2[/unurl]
Description1:"[ConvertChars db=^WebMerchant/CleanAppleScript.db][desc1][/ConvertChars]",[unurl]%C2[/unurl]
Amount1:[amount1],[unurl]%C2[/unurl]
Description2:"[ConvertChars db=^WebMerchant/CleanAppleScript.db][desc2][/ConvertChars]",[unurl]%C2[/unurl]
Amount2:[amount2],[unurl]%C2[/unurl]
Description3:"[ConvertChars db=^WebMerchant/CleanAppleScript.db][desc3][/ConvertChars]",[unurl]%C2[/unurl]
Amount3:[amount3],[unurl]%C2[/unurl]
Description4:"[ConvertChars db=^WebMerchant/CleanAppleScript.db][desc4][/ConvertChars]",[unurl]%C2[/unurl]
Amount4: [amount4],[unurl]%C2[/unurl]
Tax:[taxTotal],[unurl]%C2[/unurl][ShowIf [AddressVerify]=T]
VerifyAddress:"[ConvertChars db=^WebMerchant/CleanAppleScript.db][address1][/ConvertChars]",[unurl]%C2[/unurl]
VerifyZip:"[convertchars db=^WebMerchant/zip_clean.db][include file=^WebMerchant/zip_test.inc&nums=T&count=T][/convertchars]",[unurl]%C2[/unurl][/ShowIf]
Invoice:"[cart]",[unurl]%C2[/unurl]
Tip:[shippingTotal],[unurl]%C2[/unurl]
AuthorizationNumber:"[authnumber]",[unurl]%C2[/unurl]
CustomerID:"[ConvertChars db=^WebMerchant/CleanAppleScript.db][customerID][/ConvertChars]"} Merchant "[MerchantName]"

end timeout
set authResponse to Status of auth
set returnText to "Error"
if authResponse is Pending then
set returnText to "Pending"
end if
if authResponse is Approved then
set returnText to "Approved"
end if
if authResponse is Declined then
set returnText to "Declined"
end if
if authResponse is Referral then
set returnText to "Referral"
end if
if authResponse is HoldCard then
set returnText to "HoldCard"
end if
	return "&m_Status="&returnText [unurl]%C2[/unurl]
		& "&m_AuthNum="&AuthorizationNumber of auth [unurl]%C2[/unurl]
		& "&m_Response="&ResponseText of auth [unurl]%C2[/unurl]
		& "&m_BatchNum="&BatchNumber of auth [unurl]%C2[/unurl]
		& "&m_RefNum="&ReferenceNumber of auth [unurl]%C2[/unurl]
		& "&m_SequenceNum="&SequenceNumber of auth [unurl]%C2[/unurl]
		& "&m_ItemNum="&ItemNumber of auth [unurl]%C2[/unurl]
		& "&m_AddressResponse="&"?" [unurl]%C2[/unurl]
		& "&garbage="
end tell
on error theError
	return "&m_Status="&"Error" [unurl]%C2[/unurl]
		& "&m_AuthNum=" [unurl]%C2[/unurl]
		& "&m_Response=AppleScript:"&theError [unurl]%C2[/unurl]
		& "&m_BatchNum=" [unurl]%C2[/unurl]
		& "&m_RefNum=" [unurl]%C2[/unurl]
		& "&m_SequenceNum=" [unurl]%C2[/unurl]
		& "&m_AddressResponse=" [unurl]%C2[/unurl]
		& "&m_ItemNum=&garbage="
end try
[/AppleScript]
